gdm3 (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: Build gdm3 on armel since gjs & mozjs102
    are built there now
  * Release to unstable

  [ Simon McVittie ]
  * d/control.in: Depend on polkitd instead of policykit-1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Sep 2022 23:48:19 -0400

gdm3 (42.0-2) experimental; urgency=medium

  * Team upload
  * Only build gdm3 on architectures with working mozjs102 and gjs.
    gjs is likely to be removed from armel as part of the move to mozjs102
    (see #1018076), and is unbuildable or fails tests on most non-release
    architectures. gdm3 requires gnome-shell at runtime, which requires gjs.
    To avoid having an uninstallable gdm3 package, only build it on
    architectures where gjs is known to be available.
  * NEWS: Use correct version number and suite (Closes: #1008663)
  * Standards-Version: 4.6.1 (no changes required)
  * Upload to experimental: unstable upload will be done as part of #1018076

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Aug 2022 11:36:12 +0100

gdm3 (42.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
    - Fix hang caused by GDM starting sooner than nvidia_drm
      (Closes: #1004131, LP: #1958488)
    - Default to Wayland for nvidia 510 drivers (LP: #1962523)
  * debian/control.in: Build-Depend on libgudev-1.0-dev

  [ Simon McVittie ]
  * Add a NEWS.Debian entry for the removal of "System X11 Default"

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Mar 2022 16:45:54 -0400

gdm3 (41.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Explicitly pass "-listen tcp" to Xorg if configured with
      DisallowTCP=false (Closes: #785495). Please note that this
      configuration continues to be insecure if you have any untrusted
      devices on your LAN, including games consoles, smart lightbulbs
      and other embedded devices.
    - libgdm: Handle GDM_SUPPORTED_SESSION_TYPES being unset
    - Keep wayland enabled for simple-framebuffer DRM drivers
    - Restart greeter session if it crashes
    - Translation updates
    - Various other fixes that were already included as patches in Debian
  * Drop patches that were taken from upstream
  * Generically depend on any logind implementation on Linux
    (Closes: #991880)
  * Change uid to Debian-gdm for all accesses to /var/lib/gdm3, which is
    safer than manipulating a non-root-owned directory as root
    - d/generate-config: Create /var/lib/gdm3 if needed, but subsequently
      don't change anything as root
    - d/generate-config: Run `dconf compile` as Debian-gdm
    - d/generate-config: Run pkill as Debian-gdm too, while we're there
    - d/gdm3.postinst: Don't create /var/lib/gdm3, it will be created on
      a just-in-time basis by d/generate-config
    - d/gdm3.postinst: Don't change ownership of /var/lib/gdm3
    - d/gdm3.dirs: Don't ship root-owned directories which will become
      owned by Debian-gdm on running systems
  * Update spelling of Lintian overrides
  * Silence Lintian false positive for
    package-supports-alternative-init-but-no-init.d-script.
    /etc/init.d/gdm3 is the LSB equivalent of both gdm3.service and
    gdm.service.
  * d/gdm3.dirs: Drop unnecessary directories

 -- Simon McVittie <smcv@debian.org>  Sat, 29 Jan 2022 18:28:14 +0000

gdm3 (41.0-3) unstable; urgency=medium

  * Team upload
  * d/control.in: Depend on specific dbus components.
    We need the well-known system bus (any implementation, typically either
    dbus or dbus-broker), plus dbus-daemon/dbus-run-session (for the greeter).
    Additionally, /etc/init.d/gdm3 needs dbus-send from dbus-bin, although
    the systemd unit doesn't necessarily need that.
  * d/rules: Stop using obsolete check-accelerated-dir option.
    Meson 0.60.0 makes unknown options an error. (Closes: #997935)

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Oct 2021 10:11:51 +0100

gdm3 (41.0-2) unstable; urgency=medium

  * Team upload
  * Trim trailing whitespace in d/changelog
  * Update standards version to 4.6.0 (no changes needed)
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
    This is the default in current toolchains.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Oct 2021 23:01:42 +0100

gdm3 (41.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Allow Wayland user sessions for single-GPU-vendor NVIDIA machines
      if the v470 NVIDIA proprietary driver is in use (LP: #1942911)
  * d/p/gdm.rules-Keep-wayland-enabled-in-all-nvidia-configuratio.patch:
    Also allow Wayland user sessions for hybrid (Optimus) NVIDIA systems
  * d/p/local-display-factory-Don-t-try-to-respawn-displays-on-sh.patch,
    d/p/xdmcp-display-factory-Set-supported-session-types-for-XDM.patch,
    d/p/daemon-Infer-session-type-from-desktop-file-if-user-has-n.patch,
    d/p/local-display-factory-Don-t-crash-if-Xorg-and-Wayland-are.patch,
    d/p/meson-Fix-detection-of-Xorg-versions-that-need-listen-tcp.patch:
    Various post-release fixes from upstream
  * Drop default.desktop session.
    Its name is deeply misleading when it hasn't been GDM's default for
    several years, and GDM/GNOME is increasingly moving towards Wayland
    rather than X11. It also seems undesirable to present users with an
    option that will always need to have a vague, generic name, because we
    cannot predict what specific session or window manager it will launch.
    Instead, provide an example file with a more appropriate name,
    /usr/share/doc/gdm3/examples/custom-x11-session.desktop, which
    users of ~/.xsession can either install as-is, or use as a basis for
    their own custom session types as documented in gnome-user-docs.
  * Xsession: quote more defensively

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Oct 2021 19:52:43 +0100

gdm3 (40.1-2) unstable; urgency=medium

  * Team upload

  [ Marco Trevisan (Treviño) ]
  * debian/gbp.conf: Update upstream-vcs-tag format to work with
    pre-releases

  [ Simon McVittie ]
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Sep 2021 21:46:25 +0100

gdm3 (40.1-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Drop compatibility symlinks now that bullseye is released
  * debian/watch: Update the watch file to follow the new version scheme
  * debian/control.in: Suggest orca instead of gnome-orca.
    The latter is a transitonal package.

  [ Simon McVittie ]
  * Add Recommends on gnome-session | x-session-manager.
    gdm3 already Depends on gnome-session | x-session-manager |
    x-window-manager | x-terminal-emulator, but not all packages that
    provide x-window-manager are usable as desktop environments (in
    particular, the example window manager in the mutter package does not
    have a built-in way to launch programs). Adding a Recommends here
    provides a stronger hint that nearly all gdm3 users are going to want
    an implementation of x-session-manager, preferably GNOME's.
    (Closes: #986046)
  * d/watch: Don't use @PACKAGE@.
    For historical reasons, the Debian package is gdm3 rather than gdm.
  * New upstream release
    - Includes changes from Marco Trevisan that were previously committed
      as patches (LP: #1935818)

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Sep 2021 10:42:00 +0100

gdm3 (3.38.2.1-3) experimental; urgency=medium

  * debian/changelog: Remove bad entry meant to be in ubuntu side only
    It's not needed in debian
  * debian/patches: Correctly return from idle callback
  * debian/gdm3.gdm-smartcard-*:
    - Do not set user_readenv=1 in pam_env.so (keep it for ubuntu only).
    - Ignore invalid user errors on pam_succeed_if.so.
      We may call the gdm-smartcard module without an user, leaving the module
      to figure it out depending on the smartcard certificate.
      So we need to ignore PAM_USER_UNKNOWN errors on pam_suceed_if.so.
      While pam_sss.so already checks for the user being non root internally,
      it's always better to ensure early this in all the cases.
      In the pkcs11 case instead we need to check it again after the module
      has returned. (LP: #1917362)
    - Check for /var/run/nologin (and friends) only when an user is defined
      pam_nologin.so requires a PAM_USER to be defined in order to check if
      the request has been done by root, possibly stopping the login otherwise.
      And in case none was provided, it will trigger the fallback pam prompt.
      However, with smartcard authentication we may initiate the PAM session
      without an user defined and leave to the smartcard service to try to
      figure it out depending on the token that has been inserted, that may
      have an user associated with it.
      So, ensure that we load all the PAM modules that require an user after
      the smartcard one, that in case will set one for us.
      Only after that, we can fail in case /var/run/nologin is present
      (LP: #1917362)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Apr 2021 17:55:12 +0200

gdm3 (3.38.2.1-2) experimental; urgency=medium

  * debian: Add gdm-smartcard PAM module implemented with libpam_sss.
    The implementation uses update-alternatives to provide a generic
    gdm-smartcard PAM module that can be changed using the tool.
    Potentially other systems could be used or supported (such as pam_pkcs11
    or pam_p11) by adding other modules implementing the gdm-smartcard auth
    service. (LP: #1865226, Closes: #953557)
  * debian: Add gdm-smartcard implementation using pkcs11
  * debian/gdm3.gdm-smartcard-sssd-exclusive.pam:
    - PAM config to use exclusive (no fallback is supported) smartcard
      authentication via libpam_sss
  * debian/gdm3.gdm-smartcard-sssd-or-password.pam:
    - PAM config to optionally use smartcard authentication via libpam_sss,
      on failure it fallbacks to password authentication
  * debian/gdm3.gdm-smartcard-pkcs11-exclusive.pam:
    - PAM config to use exclusive (no fallback is supported) smartcard
      authentication via libpam_pkcs11
  * debian/control:
    - Suggests libam-sss and libam-pkcs11
  * debian/gdm3.alternatives:
    - Add gdm-smartcard alternatives to be used as /etc/pam.d/gdm-smartcard
  * debian/patches: Cherry-pick upstream fixes, including better auth error
    handling (LP: #1865838)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Feb 2021 16:40:24 +0100

gdm3 (3.38.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Add a Homepage field (Closes: #976768)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 18 Dec 2020 19:35:23 +0100

gdm3 (3.38.2-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
    - Fix location of locale directory
    - display: Exit with failure if loading existing users fails
      (GHSL-2020-202, CVE-2020-16125)
  * Xsession: Use run-parts --list instead of reimplementing it.
    Taken from x11-common.

  [ Dmitry Borodaenko ]
  * Implement has_option in Xsession.
    Now that x11-common moved this function from 20x11-common_process-args
    to Xsession (see #920778), gdm's version of Xsession also has to
    implement it. (Closes: #972108)

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Nov 2020 17:41:42 +0000

gdm3 (3.38.1-2) unstable; urgency=medium

  * debian/gdm3.preinst: Add script to replace possibly wrong .conf file.
    In gdm3 versions of the 3.38 series a regression was introduced causing
    the /usr/libexec/gdm-disable-wayland tool to write its supposedly
    temporary gdm file to the persistent location.
    This is particularly harmful for users of the NVIDIA drivers as they
    will get their default config file (/etc/gdm3/daemon.conf in debian and
    /etc/gdm3/custom.conf in Ubuntu) modified for good, making impossible to
    login in a Wayland session (once nvidia driver is disabled).
    As per this, in case of upgrades or install with configuration files
    left, we replace the gdm's daemon.conf/custom.conf file in case it
    matches the one that the disable-wayland tool would produce.
    https://discourse.gnome.org/t/gdm-3-38-0-has-bad-bug-for-nvidia-users/4517
    (LP: #1899673)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 14 Oct 2020 01:29:48 +0200

gdm3 (3.38.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix bug leading to users /etc/gdm/custom.conf getting overwritten on
      nvidia systems (LP: #1899673).
    - Fix typo in comment
    - Translation updates
  * debian/rules: Don't override the runtime-conf path anymore.
    Upstream fixed the root issue for changing this, so the default runtime
    configuration file will be correctly written in the runtime path again.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 13 Oct 2020 19:51:14 +0200

gdm3 (3.38.0-2) unstable; urgency=medium

  * Team upload
  * d/rules: Set runtime configuration path.
    In Autotools, the default runtime configuration path used to be
    ${GDM_RUN_DIR}/custom.conf, but in the Meson build system the fallback
    changed to be the same as the custom.conf path in /etc (set to
    /etc/gdm3/daemon.conf in Debian for historical reasons).
    Explicitly set it to the path we used before switching to Meson, so
    that configuration changes by gdm-disable-wayland are temporary as
    intended, and do not persist to a subsequent boot.
  * Revert "debian/watch: Monitor unstable versions"
  * d/upstream/metadata: Add
  * Merge packaging from unstable
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 26 Sep 2020 16:52:06 +0100

gdm3 (3.38.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Remove patches that were applied upstream (in some cases differently)
  * Remove special case for s390x.
    gjs and gnome-shell now exist there, so we no longer need to avoid
    depending on them. In particular this makes the GNOME metapackages
    installable on that architecture again. (Closes: #970245)

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Sep 2020 18:03:34 +0100

gdm3 (3.37.90-2) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Add patch to remove deprecated StandardOutput=syslog from systemd unit
  * Build-Depend on systemd, for /usr/share/pkgconfig/systemd.pc

  [ Iain Lane ]
  * debian/control: Bump depends on gnome-{session,settings-daemon,shell}
    We require the newly rearranged systemd units that are in these
    versions.
  * debian/control: Make gdm depend on gnome-session-common ≥ 3.37.0-2~
    This is where the systemd units live now.

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Sep 2020 00:51:41 +0100

gdm3 (3.37.90-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Updates to systemd integration
    - Support killling X on login even when wayland support is disabled
    - Fix multi-seat support (LP: #1891815)
    - Don't keep login screen running in background on Xorg
    - Fixes for when GDM isn't started on its configured initial VT
    - Don't hardcode path to plymouth
    - Enable wayland on cirrus
    - Chrome remote desktop fix
    - Always use separate session bus for greeter sessions
      This runs dbus-run-session, so the binary needs to be available
  * debian/rules:
    - Build with meson
    - Use --fail-missing if not in library-only mode
    - Expose to meson only X bin path
  * debian/control:
    - Depend on debhelper-compat = 13
    - Cleanup the Build-Depends: Remove dependencies that are not required
      explicitly by gdm
  * debian/libgdm1.symbols: Remove various (private) symbols.
    - They were wrongly exported as there's no trace of them in the
      public API.
  * debian/patches: Refresh as per meson port
  * d/p/16_xserver_path.patch:
    - Make meson read the X bin path from environment
  * d/p/meson-Fix-keyutils-pkg-config-name.patch,
    d/p/meson-Obey-at-Dcustom-conf-option-when-installing-custom..patch,
    d/p/meson-Use-correct-rules-path-when-getting-udevdir-from-pk.patch:
    - Fix some meson issues causing diffs with autotools
  * d/p/meson-Don-t-look-for-non-existent-journald-dependency.patch,
    d/p/meson_options-Enable-systemd-journal-by-default.patch:
    - Make gdm log again to the journal by default
  * debian/gdm3.install: Update install paths.
    Install everything under usr/share/gdm
  * debian/*.install: Use dh 13 ${DEB_HOST_MULTIARCH} instead of wildcards

  [ Simon McVittie ]
  * d/p/local-display-factory-always-force-login-screen-to-VT-1.patch:
    - Drop, applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 28 Aug 2020 22:37:09 +0200

gdm3 (3.36.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - d/p/local-display-factory-always-force-login-screen-to-VT-1.patch:
      Drop, applied upstream
    - This version is functionally equivalent to 3.36.2-1
  * Remove special case for s390x.
    gjs and gnome-shell now exist there, so we no longer need to avoid
    depending on them. In particular this makes the GNOME metapackages
    installable on that architecture again. (Closes: #970245)
  * d/gbp.conf: Switch branch for uploads to unstable.
    3.37.x is already in experimental.
  * d/watch: Only watch for 3.36.x versions

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Sep 2020 18:05:02 +0100

gdm3 (3.36.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Use a separate D-Bus session bus for each greeter
      + Add Depends on dbus, for dbus-run-session
    - Don't disable Wayland on Cirrus hardware (or more likely, emulated
      Cirrus hardware in qemu). A 5.2+ kernel is recommended.
    - Check for keyutils using pkg-config
    - Fixes for when GDM isn't started on its configured initial VT
    - Don't hard-code /bin/plymouth
    - Translation updates
  * d/watch: Only watch for even-numbered (stable) releases
  * d/p/local-display-factory-always-force-login-screen-to-VT-1.patch:
    Add post-release fix from upstream gnome-3-36 branch to fix a fast
    user switching regression in 3.36.2, by forcing the greeter to appear
    on tty1
  * Update symbols file.
    This ignores a change to private symbols:
    gdm_find_display_session_for_uid isn't declared in a public header,
    and nothing in Debian seems to call it.

 -- Simon McVittie <smcv@debian.org>  Thu, 25 Jun 2020 10:55:01 +0100

gdm3 (3.34.1-3) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * d/greeter.dconf-defaults: Use 64px instead of 128px logo.
    Until gnome-shell 3.36.1, the logo was scaled down to be 48px tall.
    Since 3.36.1, it's shown at actual size, and 128px looks silly.
    desktop-base doesn't currently have a 48px version, but 64px is close
    enough. (Closes: #955759)

  [ Alexander Kurtz ]
  * debian/generate-config: Re-compile the dconf database unconditionally.
    Previously we tried to determine whether running `dconf compile` was
    really necessary by comparing the timestamps of the input and output
    files in a make-like fashion, but this was unnecessarily complicated,
    since both the CPU and IO load are negligible.

 -- Simon McVittie <smcv@debian.org>  Sun, 05 Apr 2020 17:16:30 +0100

gdm3 (3.34.1-2) unstable; urgency=medium

  [ Alexander Kurtz ]
  * debian/gdm3.postinst: Remove obsolete cleanup code now that buster has
    been released.

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Move the daemons to libexec now that's allowed in the policy
  * Move everything from /var/run to /run as the former is a link to the later
    for quite some time
  * debian/gdm3.postinst: Remove obsolete cleanup code for gdm-welcome PAM
    service, this dates from 2012

 -- Laurent Bigonville <bigon@debian.org>  Sun, 15 Mar 2020 10:50:21 +0100

gdm3 (3.34.1-1) unstable; urgency=medium

  * New upstream release
    - De-duplicate sessions on pure Xorg too
    - Fix fast user switching by assuming the login screen VT is always the
      initial one

 -- Iain Lane <laney@debian.org>  Mon, 07 Oct 2019 16:25:24 +0100

gdm3 (3.34.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 17:34:26 +0200

gdm3 (3.34.0-1) experimental; urgency=medium

  * New upstream translation release

 -- Iain Lane <laney@debian.org>  Wed, 11 Sep 2019 17:29:53 +0100

gdm3 (3.33.92-2) experimental; urgency=medium

  [ Simon McVittie ]
  * Merge packaging changes from unstable (Closes: #935699)

  [ Laurent Bigonville ]
  * Add extra explanation to the GDM PAM service about what pam_selinux is
    actually doing

 -- Iain Lane <laney@debian.org>  Fri, 06 Sep 2019 16:44:21 +0100

gdm3 (3.33.92-1) experimental; urgency=medium

  * New upstream release
    - Fix typo in debug message
    - Revert vt changing fix, because it exposes logind bug and it wasn't
      quite right anyway
    - Ensure login screen gets reaped when user switching

 -- Iain Lane <laney@debian.org>  Fri, 06 Sep 2019 13:41:32 +0100

gdm3 (3.30.2-5) unstable; urgency=medium

  * Team upload
  * Don't try to manipulate files in debian/gdm3/ when building for
    s390x, fixing FTBFS

 -- Simon McVittie <smcv@debian.org>  Thu, 29 Aug 2019 18:11:08 +0100

gdm3 (3.30.2-4) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Use debian/unstable, upstream/3.30.x branches
  * Skip building the gdm3 binary package on s390x.
    GDM requires GNOME Shell, which provides its GUI, but GNOME Shell
    is unavailable on s390x.
    Our previous attempt to avoid building an uninstallable gdm3 package
    on s390x involved a spurious build-dependency on gjs, but mozjs60 and
    gjs now work well enough on s390x to pass most of their own tests.
    However, GNOME Shell still fails tests on s390x, and in any case is
    not appropriate for mainframe-class machines that do not normally have
    a GPU or a local display.
    Continuing to build libgdm binaries for s390x, as opposed to forcing the
    entire source package to FTBFS on s390x, means we can continue to build
    gnome-panel without special hacks, allowing s390x users to install the
    GNOME 2-based GNOME Flashback environment if they particularly want a
    GNOME-based desktop on their mainframes. (Closes: #935699)
  * d/control.in: Add versioned Recommends on desktop-base (>= 10.0.0)
    In a previous version this was added to d/control, but d/control is
    regenerated from d/control.in during clean.
  * Remove spurious gjs build-dependency.
    This is less help than we had anticipated in making gdm3 unavailable on
    architectures where gnome-shell is unavailable, because gjs mostly works
    on s390x but gnome-shell does not. It is also desirable to build libgdm
    on even the architectures that do not have a working gdm, so that they
    can use gnome-panel and hence gnome-flashback.

 -- Simon McVittie <smcv@debian.org>  Thu, 29 Aug 2019 11:08:50 +0100

gdm3 (3.33.90-1) experimental; urgency=medium

  * New upstream release
    - Update for changes to gnome-settings-daemon
    - initial-setup permissions fix
    - allow users to set PATH from ~/.config/environmet
    - support systemd user sessions
    - leak fix in libgdm
    - vt changing fix
  * gdm3.install: Stop installing pixmaps/icons which have been dropped
  * debian/libgdm1.symbols: Add new symbols

 -- Iain Lane <laney@debian.org>  Thu, 15 Aug 2019 15:07:42 +0100

gdm3 (3.33.4-1) experimental; urgency=medium

  * New upstream release
    - Fix session search directories
    - Kill user sessions when stopping gdm
    - Add way for sessions to register when they successfully started (LP:
      #1798790)
  * libgdm-Remove-duplicate-sessions-once-after-all-sessions-.patch: Drop,
    upstream
  * debian/libgdm1.symbols: Update

 -- Iain Lane <iain.lane@canonical.com>  Fri, 02 Aug 2019 13:56:49 +0100

gdm3 (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * control, rules: BD on dh-sequence-{gir,gnome} and drop --with
  * Cherry-pick upstream patch to properly show all sessions in the switcher

 -- Iain Lane <laney@debian.org>  Sat, 16 Mar 2019 11:57:47 +0000

gdm3 (3.31.4+git20190225-1) experimental; urgency=medium

  * New upstream git snapshot. This is upstream commit
    4d5e8ca9466a3903c4360cabb3c89ed018dd3e35 plus a Debian patch by Iain Lane
    to not include some generated files in the tarball - they were leaking the
    maintainer's prefix. That's forwarded as !61 upstream.
  * Refresh patches
    d/p/95_accept_all_layouts.patch,
    d/p/GdmManager-Don-t-perform-timed-login-if-session-gets-star.patch,
    d/p/manager-don-t-kill-timed-login-session-immediately-after-.patch,
    d/p/manager-session-Add-some-debugging-around-starting-reauth.patch,
    d/p/session-Don-t-allow-greeter-operations-on-an-running-sess.patch:
    Dropped, applied upstream.
  * Bump to compat 12.
    Use the new Build-Depends: debhelper-compat method to specify this, and
    remove debian/compat accordingly. This compat level (actually it was 11)
    drops the systemd sequence in preference for using dh_installsystemd. We
    still don't want to use this, so override it to an empty target.

 -- Iain Lane <laney@debian.org>  Mon, 25 Feb 2019 16:29:21 +0000

gdm3 (3.30.2-3) unstable; urgency=medium

  * Team upload
  * d/p/95_accept_all_layouts.patch: Fix truncated patch.
    A trailing blank line was declared in the diff header but missing from
    the content.
  * d/p/manager-don-t-kill-timed-login-session-immediately-after-.patch,
    d/p/manager-session-Add-some-debugging-around-starting-reauth.patch,
    d/p/session-Don-t-allow-greeter-operations-on-an-running-sess.patch,
    d/p/GdmManager-Don-t-perform-timed-login-if-session-gets-star.patch:
    Update to upstream gnome-3-30 branch at commit 3.30.2-4-gdd4529542
    - Fix interaction between timed logins and ordinary logins
      that could lead to the wrong session being unlocked when not using
      Wayland (CVE-2019-3825, Closes: #921764)
  * d/greeter.dconf-defaults:
    Add commented-out power management options to make it easier to disable
    automatic suspend if desired (see #893964)

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Feb 2019 11:38:07 +0000

gdm3 (3.30.2-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Stop using gnome-get-source and fix pod2man version rule
  * debian/greeter.dconf-defaults: Uncomment all header lines
    (Closes: #901892)

  [ Iiro Laiho ]
  * Cherry-pick fix from 3.31 to allow all keyboard layouts at log in
    (Closes: #921457)

  [ Aurélien COUDERC ]
  * Update login screen logo for Debian 10 and support overriding via
    Debian alternatives. See the desktop-base README.Debian.

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 20:25:34 -0500

gdm3 (3.30.2-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Build-Depend on gjs
    - In preparation for gjs' removal from s390x (#909536), let's ensure
      that gdm3 has satisifiable dependencies

  [ Alexander Kurtz ]
  * debian/generate-config: Drop "exit 0", pointless with set -e
  * debian/gdm3.postinst: Stop setting up pulseaudio as a user service
  * debian/gdm3.postinst: Add missing cleanup of
    /var/lib/gdm3/.config/systemd/user/sockets.target.wants/pulseaudio.socket

  [ Simon McVittie ]
  * New upstream release
    - Refresh patch series
  * d/control.in: Transfer added Breaks in d/control to here.
    Otherwise it would not be preserved when d/control is regenerated
    during clean.
  * Normalize package lists with wrap-and-sort -a
  * Normalize file lists with wrap-and-sort -a

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Nov 2018 09:29:20 +0000

gdm3 (3.30.1-1) unstable; urgency=medium

  * New upstream release 3.30.1
  * Delete patches which are applied upstream.
    daemon-Move-the-waiting-the-session-to-have-taken-over-th.patch and
    data-disable-wayland-for-proprietary-nvidia-machines.patch were
    cherry-picks that are in 3.30.1.
  * gbp.conf: Update to pkg-gnome's recommendations
  * debian/control.in: Add procps dependency.
    4fd7af47aef15b4dbc26fb2063940e3b5315f7b5 only added this in control, and
    so it would be lost if this were to be regenerated from control.in
  * Standards-Version → 4.2.1, no changes required
  * Use udev [linux-any] to determine where to install the udev rules.  Also
    use dh-exec to only install them on linux-any. This is all a bit moot
    since we are Architecture: linux-any anyway.

 -- Iain Lane <laney@debian.org>  Wed, 26 Sep 2018 11:18:06 +0100

gdm3 (3.30.0-1) unstable; urgency=medium

  * Team upload

  [ Alexander Kurtz ]
  * debian/generate-config: Use pkill to SIGHUP the dconf-service process.

  [ Simon McVittie ]
  * New upstream release
    - Should avoid restart loops when trying to use Wayland on Nvidia
      proprietary driver (Closes: #908808)
  * Correctly install udev rules in /lib/udev
  * d/p/local-display-factory-ignore-spurios-SeatNew-signal-at-st.patch:
    Drop, applied upstream
  * d/p/data-disable-wayland-for-proprietary-nvidia-machines.patch:
    Add patch from upstream to disable Wayland on the Nvidia proprietary
    driver
  * d/p/daemon-Move-the-waiting-the-session-to-have-taken-over-th.patch:
    Add patch from upstream to fix stopping the greeter
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Sep 2018 12:02:31 +0100

gdm3 (3.29.91-2) experimental; urgency=medium

  * Team upload
  * d/p/local-display-factory-ignore-spurios-SeatNew-signal-at-st.patch:
    Add patch from upstream to fix startup reliability regression on
    3.29.x branch

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Aug 2018 08:59:26 +0100

gdm3 (3.29.91-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - d/p/local-display-factory-add-more-debug-messages-to-new-vt-h.patch,
      d/p/local-display-factory-don-t-start-two-greeters-at-startup.patch,
      d/p/session-worker-don-t-switch-VTs-if-we-re-already-on-the-r.patch:
      Drop patches from MR 28, applied upstream
    - d/p/display-store-Pass-the-display-object-rather-than-the-id-.patch:
      Drop patch for CVE-2018-14424, applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Aug 2018 18:10:33 +0100

gdm3 (3.29.90-3) experimental; urgency=medium

  * Team upload
  * display-store: Pass the display object rather than the id in the removed
    signal (CVE-2018-14424)

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Aug 2018 15:39:13 +0100

gdm3 (3.29.90-2) experimental; urgency=medium

  * Team upload

  [ Iain Lane ]
  * debian/gbp.conf: Don't use patch numbers
  * d/p/local-display-factory-add-more-debug-messages-to-new-vt-h.patch,
    d/p/local-display-factory-don-t-start-two-greeters-at-startup.patch,
    d/p/session-worker-don-t-switch-VTs-if-we-re-already-on-the-r.patch:
    Cherry-pick some patches from upstream MR 28. These fix a race condition
    on startup where GDM would try to start two greeters, and often fail to
    start any.
  * debian/rules: Set Rules-Requires-Root to no - we don't require root to
    build gdm3.
  * Standards-Version → 4.2.0

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Aug 2018 19:14:30 +0100

gdm3 (3.29.90-1) experimental; urgency=medium

  * Team upload
  * New upstream development release
    - Unblock SIGUSR1 before PAM (Closes: #905277, LP: #1782152)
  * Rebase patch series
    - Drop patches from 3.28.2-2 and 3.28.2-3, applied upstream
  * Bump GLib build-dependency to 2.44 as per configure.ac
  * Build-depend on gettext 0.19.8 as per configure.ac
  * Continue to build-depend on intltool even though upstream code no
    longer needs it, because the Debian build still does
  * Drop obsolete build-dependencies on Xft and Xi
  * Stop disabling split authentication, which is no longer supported
    at all
  * Stop deleting data/gdm.schemas.in during clean. It used to be generated
    from data/gdm.schemas.in.in but is now a source file in its own right.
  * Remove generated file data/61-gdm.rules during clean
  * d/copyright: Update
  * d/patches/*: Add DEP-3 metadata in gbp-pq format
  * d/docs: Install README.md instead of README

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Aug 2018 22:14:57 +0100

gdm3 (3.28.2-3) unstable; urgency=medium

  * debian/patches/daemon-gdm-session-record.c-open-close-the-utmp-database.patch:
    - Keep the number of logged-in consistent with reality (LP: #1776487)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 13 Jun 2018 10:39:42 +0100

gdm3 (3.28.2-2) unstable; urgency=medium

  * debian/patches/libgdm-drop-support-for-serializing-multiple-opens.patch,
    debian/patches/libgdm-fix-pointer-boolean-task-confusion.patch,
    debian/patches/libgdm-don-t-keep-manager-proxy-around-longer-than-we-nee.patch,
    debian/patches/libgdm-use-g_object_unref-instead-of-g_clear_object-for-w.patch,
    debian/patches/libgdm-get-connection-explicitly.patch,
    debian/patches/libgdm-Drop-weak-refs-on-the-GDBusConnection.patch,
    debian/patches/libgdm-Unref-the-manager-propagated-from-task.patch,
    debian/patches/libgdm-Don-t-double-ref-the-connection-got-from-task.patch,
    debian/patches/libgdm-Don-t-leak-connection-on-sync-re-authentication.patch,
    debian/patches/libgdm-Use-auto-pointers-and-cleanup-code.patch,
    debian/patches/libgdb-Try-to-reuse-connections-from-the-available-proxie.patch,
    debian/patches/libgdm-Don-t-save-manager-address.patch,
    debian/patches/libgdm-Return-NULL-on-invalid-client-instances.patch:
    - Cherry picks commits from upstream 3.28 branch to propely fix ref-counting
      issues on GdmClient (LP: #1766137)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 05 Jun 2018 09:34:48 +0100

gdm3 (3.28.2-1) unstable; urgency=medium

  * New upstream release 3.28.2
    - Reference counting fixes for GdmClient
    - ensure plymouth is quit properly even when local greeter is disabled
    - make sure GDM doesn't hang when called with unknown command line arguments

 -- Iain Lane <laney@debian.org>  Tue, 29 May 2018 09:45:52 +0100

gdm3 (3.28.1-1) unstable; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Tue, 17 Apr 2018 18:04:22 +1000

gdm3 (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Have libgdm-dev depend on libglib2.0-dev
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Mar 2018 15:40:46 -0400

gdm3 (3.27.90-1) experimental; urgency=medium

  * New upstream development release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Install new files

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Feb 2018 14:39:03 -0500

gdm3 (3.26.2.1-3) unstable; urgency=medium

  * Drop debian/gdm3.preinst: Obsolete after Debian 9 "Stretch"
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Mark gir1.2-gdm-1.0 as Multi-Arch: same

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 22:03:12 -0500

gdm3 (3.26.2.1-2) unstable; urgency=medium

  * debian/gdm3.gdm-fingerprint.pam: Add PAM service to allow the user to
    authenticate using fingerprints. This requires installing libpam-fprintd
    (>= 0.8.0-2) and that the fprintd module is NOT included in common-auth

 -- Laurent Bigonville <bigon@debian.org>  Thu, 09 Nov 2017 13:22:14 +0100

gdm3 (3.26.2.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop obsolete libdbus-glib-1-dev Build-Depends
  * Drop obsolete alternative plymouth-dev Build-Depends
  * Update symbols files for libgdm1 for the ChoiceList API additions
  * Use dh_missing to list uninstalled files
  * Drop obsolete maintainer scripts code handling upgrades from pre-jessie
  * Disable static libraries as we don't install them anyway
  * Updated Greek translation by Vangelis Skarmoutsos. (Closes: #867563)
  * Drop 11_xephyr_nested.patch from debian/po-up/POTFILES.in as this patch
    has been dropped

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Nov 2017 16:11:34 +0100

gdm3 (3.26.1-3) unstable; urgency=medium

  * debian/patches/92_systemd_unit.patch:
    - Reorder the ExecReload= directives to regenerate the config files before
      reloading gdm itself
    - Drop the ExecStartPre= hack introduced to detect which DM is the default
      one, almost all the other DM's are properly providing the
      display-manager.service symlink now

 -- Laurent Bigonville <bigon@debian.org>  Thu, 05 Oct 2017 01:53:20 +0200

gdm3 (3.26.1-2) unstable; urgency=medium

  * debian/rules: Explicitly pass --with-run-dir to the configure

 -- Laurent Bigonville <bigon@debian.org>  Thu, 05 Oct 2017 00:30:24 +0200

gdm3 (3.26.1-1) unstable; urgency=medium

  * New upstream bugfix release (Closes: #873199)
    - Drop d/p/01_gdm-session-Calculate-fallback-session-name-without-.patch,
      applied upstream
  * debian/control.in: Bump Standards-Version to 4.1.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 04 Oct 2017 10:12:45 +0200

gdm3 (3.26.0-1) unstable; urgency=medium

  * New upstream stable release
    - Fix for unauthenticated unlock when autologin is enabled
      (CVE-2017-12164)
    - Fix for going to normal mode after classic
    - crasher fix when user switching
    - make sure reauthentication is run in right context
  * debian/patches/01_gdm-session-Calculate-fallback-session-name-without-.patch:
    Cherry-pick from upstream. Calculate the default (`fallback') session in
    the same way as gnome-shell does, fixing an out-of-sync issue between the
    greeter and gdm's idea of the first session. (LP: #1705157)
  * debian/patches/92_systemd_unit.patch: No need to patch to send HUP - this
    is done upstream now.

 -- Iain Lane <laney@debian.org>  Wed, 13 Sep 2017 16:20:09 +0100

gdm3 (3.25.90.1-2) unstable; urgency=medium

  * New upstream release
  * Drop revert_drop_gdm_shell_session.patch: Applied in new release
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 31 Aug 2017 21:36:30 -0400

gdm3 (3.24.2-3) unstable; urgency=medium

  * Release to unstable (Closes: #869943)
  * debian/control.in:
    - Bump Standards-Version to 4.0.0 (no further changes)
    - Bump gnome-settings-daemon dependency to 3.24
  * Add revert_drop_gdm_shell_session.patch:
    - Backport commit to allow GDM to work without gnome-session installed
      (Closes: #850291)
  * debian/gdm3.install:
    - Install gnome-session file

 -- Laurent Bigonville <bigon@debian.org>  Mon, 07 Aug 2017 14:11:43 +0200

gdm3 (3.24.2-2) experimental; urgency=medium

  * Drop d/p/Hack-D-Bus-messages-from-Debian-8-libgdm-to-work-wit.patch now
    that debian Stretch has been released
  * Drop d/p/09_default_session.patch: Start the "gnome" session by default,
    "default" is always starting a X11 session but we want to start a Wayland
    one starting from now.
  * debian/patches/92_systemd_unit.patch: Uncomment the BusName= directive,
    gdm doesn't seem to be killed on reload anymore

 -- Laurent Bigonville <bigon@debian.org>  Thu, 06 Jul 2017 01:30:35 +0200

gdm3 (3.24.2-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Bump minimum accountsservice to 0.6.35
  * debian/rules: Don't skip dh_auto_test
  * Add 93_translate-default-desktop.patch:
    - Fix 'make check' by marking a Debian-specific file as translatable
  * Drop patches applied in new release:
    - pam_gdm-allow-setting-pam-module-dir-at-configure-ti.patch
    - stop-greeter-explicitly-when-finishing-display.patch

 -- Michael Biebl <biebl@debian.org>  Sun, 21 May 2017 01:47:02 +0200

gdm3 (3.22.3-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * d/p/stop-greeter-explicitly-when-finishing-display.patch: Properly stop
    the greeter processes when restarting gdm, this fixes the respawn loop and
    allow gdm to restart properly (Closes: #857995)

  [ Michael Biebl ]
  * Setup pulseaudio to run as systemd user service for Debian-gdm.
    Otherwise, if we start pulseaudio within the session, the idle-timeout of
    pulseaudio will prevent the old session scope to be properly terminated
    when the gdm service is restarted and the old logind session will remain
    in state "closing".

 -- Michael Biebl <biebl@debian.org>  Tue, 09 May 2017 23:51:57 +0200

gdm3 (3.22.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add Build-Depends on libxcb1-dev. Upstream switched from xlib to xcb for
    the main gdm process to be more robust in cases where the display
    connection has gone away.
  * Use --with-pam-mod-dir configure switch to set the location of the pam
    module directory instead of moving the .so file around manually.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Mar 2017 21:46:47 +0100

gdm3 (3.22.1-2) unstable; urgency=medium

  * Team upload.

  [ Michael Biebl ]
  * Stop setting authdir, has been dropped upstream in favour of xauthdir.

  [ Jeremy Bicha ]
  * debian/greeter.dconf-defaults:
    - Use the new emblem-debian-white.png for default login screen logo
      (Closes: #833529)

  [ Simon McVittie ]
  * Work around upgrades not being done offline:
    - Add a non-upstreamable patch to edit D-Bus messages from libgdm
      to the session worker and adapt them from the pre-3.16 interface
      to the post-3.16 interface. Only do this if a flag file in /run
      has been created, so that this workaround will only be active
      until the next reboot.
    - gdm3.preinst: Create that flag file on upgrades. (Closes: #789118)

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Jan 2017 11:07:50 +0000

gdm3 (3.22.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/16_xserver_path.patch.
  * Strip debian/tmp/ from .install files.
  * Bump debhelper compat level to 10.
  * Remove migration code from pre-wheezy.
  * Stop passing start and stop runlevels to update-rc.d. Those are no longer
    supported with dependency based boot.
  * Do not hard-code path for deluser/delgroup.
  * Completely disable the dh-systemd addon via --without systemd. We use
    debconf and custom maintainer scripts to enable/disable and
    start/stop/reload the gdm service.

 -- Michael Biebl <biebl@debian.org>  Mon, 17 Oct 2016 00:17:17 +0200

gdm3 (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 21:47:00 +0200

gdm3 (3.21.91-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * New upstream beta release.
  * Convert from cdbs to dh.
  * Bump debhelper compat to 9

  [ Laurent Bigonville ]
  * debian/gdm3.gdm-autologin.pam: Add a missing bit to automagically unlock
    the keyring when autologin on a computer using LUKS root filesystem. This
    is not yet working out-of-the-box in debian as it require some plumbing
    at early-boot (cryptsetup) or systemd in the initramfs.

  [ Michael Biebl ]
  * Drop remaining ConsoleKit build dependencies and configure switches.
    Support for ConsoleKit is most likely not coming back.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Sep 2016 22:39:51 +0200

gdm3 (3.21.90-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - Add libkeyutils-dev [linux-any]
  * Bump Standards-Version to 3.9.8
  * debian/gdm3.lintian-overrides:
    - Add overrides for systemd-service-file-missing-install-key

  [ Laurent Bigonville ]
  * Ship new pam_gdm.so PAM module and update gdm-autologin PAM service file

 -- Laurent Bigonville <bigon@debian.org>  Wed, 31 Aug 2016 10:28:16 +0200

gdm3 (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Restore debian/patches/09_default_session.patch as we postponed the switch
    to Wayland.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Apr 2016 00:44:11 +0200

gdm3 (3.20.0-2) experimental; urgency=medium

  * debian/rules: Switch back the initial VT to vt1 (Closes: #819423)
  * Drop /usr/share/gdm/greeter/dbus-1 files, gdm/gnome-shell doesn't try to
    start telepathy-mission-control and gnome-online-accounts anymore.
  * Drop debian/patches/09_default_session.patch completely as we want to
    default to the wayland session for now.
  * debian/default.desktop.in: Update the Name of the Comment to make it clear
    that it will start the X11 default session of the system.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 04 Apr 2016 15:04:03 +0200

gdm3 (3.20.0-1) experimental; urgency=medium

  * Drop debian/patches/93_disable_gvfs.patch
    - superseded by upstream commit 5e81151a147
      "launch-environment: disable gvfs except in initial setup mode"
  * Bump gnome-shell dependency to >= 3.19.92
    - new interactions between gdm and gnome-shell for session start
  * New upstream release.
  * Temporarily disable debian/patches/09_default_session.patch
    - the System Default ("default") session is currently broken, so use
      upstreams default ("gnome") while investigating.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 25 Mar 2016 11:26:09 +0100

gdm3 (3.19.92-1) experimental; urgency=medium

  * New upstream release.
  * Add build-dependency on xserver-xorg-dev for xorg-server.pc
    - upstream configure.ac now checks for xserver version.
  * Bump Standards-Version to 3.9.7.
  * Refresh the following patches to apply:
    - debian/patches/09_default_session.patch
    - debian/patches/16_xserver_path.patch
    - debian/patches/90_config_comments.patch
      (Drop greeter section comments as that section was removed.)
    - debian/patches/93_disable_gvfs.patch

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Mar 2016 21:18:48 +0100

gdm3 (3.18.2-1) unstable; urgency=medium

  [ Tim Lunn ]
  * Move schemas to libgdm1 package, gnome-shell requires access to
    these even when using a different DM. (Closes: #804893)
  * Move gir package to a more standard naming and install typelib file
    into ma path
  * debian/control.in:
    - Drop depend on gnome-icon-theme{.symbolic} these
      are obsolete now and adwaita-icon-theme is pulled in by libgtk-3-common
    - Mark libdbus-glib-1-dev [!linux-any], its only required for consolekit
      builds

  [ Michael Biebl ]
  * New upstream release.
  * Drop obsolete Breaks, Conflicts and Replaces for versions older than
    oldstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Nov 2015 06:56:38 +0100

gdm3 (3.18.0-2) unstable; urgency=medium

  * debian/control.in: plymouth-dev package has been renamed to
    libplymouth-dev, swap the alternatives in the build-dependencies

 -- Laurent Bigonville <bigon@debian.org>  Mon, 12 Oct 2015 09:43:54 +0200

gdm3 (3.18.0-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.

  [ Laurent Bigonville ]
  * Drop d/p/17_switch_on_finish.patch, d/p/18_all_displays_transient.patch,
    d/p/19_switch_kill_greeter.patch: Not needed anymore.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 11 Oct 2015 14:39:43 +0200

gdm3 (3.17.92-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Move xserver-xorg-core (<< 2:1.17.2-2~) from Conflicts
    to Breaks

  [ Andreas Henriksson ]
  * New upstream release candidate.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 18 Sep 2015 09:39:55 +0200

gdm3 (3.17.90-1) experimental; urgency=medium

  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - drop libxrandr-dev
  * Update debian/rules according to configure.ac changes:
    - drop --with/without-systemd and --with/without-consolekit,
      these configure flags are no longer available.
  * Drop debian/patches/07_fix_caribou_path.patch, obsoleted by
    upstream removal of caribou autostart file removal.
  * Temporarily disable patches which no longer apply:
    - 17_switch_on_finish.patch
    - 18_all_displays_transient.patch
    - 19_switch_kill_greeter.patch
  * Drop debian/patches/95_libsystemd.patch, fixed upstream.
  * Drop debian/patches/08_frequent-users_greeter.patch, likely obsolete.
  * Fix and refresh remaining patches to apply.
  * debian/gdm3.install: drop debian/tmp/usr/share/gnome-session/,
    gdm-shell.session no longer shipped upstream. See commit f66cdfcb2948.
    "It's identical to gnome.session these days.  All GDMification comes
    from the overridden gnome-shell.desktop file."
  * Update debian/libgdm1.symbols
  * Add conflicts against xserver-xorg-core (<< 2:1.17.2-2~)
    - gdm >= 3.16 needs an x server with logind support (which is
      currently only available in the Debian Experimental package
      version), or it will fail with "permission denied" on vt7.
    - The gdm3 package has no strict dependency on an x server
      which we can make versioned. Use conflicts instead to prevent
      users from installing incompatible combinations.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 29 Aug 2015 11:55:31 +0200

gdm3 (3.14.2-2) unstable; urgency=medium

  * Re-add our workaround which drops BusName from gdm.service. There are
    apparently still issues related to upgrades from older gdm versions
    resulting in the X session to be terminated during the upgrade.

 -- Michael Biebl <biebl@debian.org>  Fri, 24 Jul 2015 13:40:46 +0200

gdm3 (3.14.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, drop patches which were merged upstream.
  * Systemd has been fixed in v222 to no longer kill services on reload if
    BusName is set, so drop that part from 92_systemd_unit.patch.
  * Build against libsystemd. (Closes: #779769)

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Jul 2015 13:26:26 +0200

gdm3 (3.14.1-8) unstable; urgency=medium

  * d/p/07_fix_caribou_path.patch: Fix the path to the caribou daemon in the
    autostart desktop file (Closes: #784671)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 09 Jun 2015 15:04:11 +0200

gdm3 (3.14.1-7) unstable; urgency=medium

  * Add Conflicts/Replaces: gdm in libgdm1 as well. Closes: #781535.

 -- Josselin Mouette <joss@debian.org>  Sat, 04 Apr 2015 09:19:43 +0200

gdm3 (3.14.1-6) unstable; urgency=medium

  * Team upload.
  * Under systemd, if gdm fails to start, or if the selected DM is
    kdm or wdm, make sure to run plymouth-quit.service (which gdm normally
    suppresses), so that plymouth-quit-wait.service terminates and gettys
    are not prevented from running. (Closes: #766462, #780257)

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Mar 2015 12:25:38 +0000

gdm3 (3.14.1-5) unstable; urgency=medium

  * Do not fail to start gdm if /etc/default/locale does not exist
    (Closes: #779989)

 -- Simon McVittie <smcv@debian.org>  Sun, 08 Mar 2015 11:52:40 +0000

gdm3 (3.14.1-4) unstable; urgency=medium

  * Team upload.
  * gdm3 Conflicts/Replaces: gdm again, to ensure that obsolete gdm packages
    from squeeze get cleaned up by upgrading wheezy to jessie
    (Closes: #774889)
  * 95_systemd-import-language-into-daemon-environment.patch:
    put the default system locale in gdm's environment (Closes: #644047)

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Mar 2015 21:59:26 +0000

gdm3 (3.14.1-3) unstable; urgency=medium

  * 18_all_displays_transient.patch: fix autologin for the initial
    display. Closes: #758183.

 -- Josselin Mouette <joss@debian.org>  Sun, 09 Nov 2014 18:16:02 +0100

gdm3 (3.14.1-2) unstable; urgency=medium

  * Team upload.
  * Bring back Xorg.N.log at the X maintainers' request, so that their
    bug script can read it (Closes: #765771)

 -- Simon McVittie <smcv@debian.org>  Sat, 08 Nov 2014 17:11:39 +0000

gdm3 (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Remove unneeded rules, the files are now removed from the
    upstream tarball

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Oct 2014 19:57:33 +0200

gdm3 (3.14.0-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 08 Oct 2014 00:39:19 +0200

gdm3 (3.13.92-1) unstable; urgency=medium

  * debian/gdm3.config:
    - make sure /etc/X11 directory exists. (Closes: #757081)
    Thanks to Daniel Baumann
  * New upstream release candidate.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 19 Sep 2014 21:47:23 +0200

gdm3 (3.13.91-1) experimental; urgency=medium

  * New upstream development release.
  * Drop patches backported from upstream now included in release:
    - debian/patches/01_session_windowpath.patch
    - debian/patches/02_slave_windowpath.patch
    - debian/patches/03_dont_mask_SIGUSR1.patch
    - debian/patches/04_really_dont_block_SIGUSR1.patch
  * debian/libgdm1.symbols: update with 4 new additions.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 06 Sep 2014 17:41:14 -0700

gdm3 (3.12.2-4) unstable; urgency=medium

  * d/p/04_really_dont_block_SIGUSR1.patch: from upstream, Stop masking
    forcibly SIGUSR1, really. (Closes: #756068)
  * Update debian/README.Debian: Stop refering to deprecated programs and
    configuration files (Closes: #760073)
  * debian/rules: Remove duplicate call to dh_systemd_* helpers
  * debian/rules: Pass --as-needed to dh_autoreconf and export "-Wl,-z,defs
    -Wl,-O1 -Wl,--as-needed" to DEB_LDFLAGS_MAINT_APPEND

 -- Laurent Bigonville <bigon@debian.org>  Sat, 06 Sep 2014 18:21:52 +0200

gdm3 (3.12.2-3) experimental; urgency=medium

  * Enable wayland support on Linux.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 02 Aug 2014 16:24:28 +0200

gdm3 (3.12.2-2.1) unstable; urgency=medium

  * Reinstate patches for better VT management.
    + 17_switch_on_finish.patch: introduce a setting for GdmDisplay that
      says it needs to go to the login screen when set.
    + 18_all_displays_transient.patch: give all local displays the same
      properties. Restart them by default, not restart them when told
      not to.
    + 19_switch_kill_greeter.patch: when switching to an existing
      session, kill the greeter session and the afferent X server.
    + debian/rules: use configure switch to disable the -novtswitch
      argument to X, if it ever builds again on !linux.
  * 01_session_windowpath.patch, 02_slave_windowpath.patch: reintroduce
    WINDOWPATH. Patches from upstream. Closes: #757889.
  * tr.po: updated Turkish translation from Mert Dirik. Closes: #756719.
  * 03_dont_mask_SIGUSR1.patch: patch from upstream. Stop masking
    forcibly SIGUSR1. Closes: #756068.

 -- Josselin Mouette <joss@debian.org>  Thu, 14 Aug 2014 02:09:47 +0200

gdm3 (3.12.2-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Remove build-dependency against libck-connector-dev for
    linux-any architectures.
  * debian/gdm3.gdm-*.pam: Add call to pam_keyinit.so, the module can
    unconditionally added now that the package is linux only (Closes: #734818)

  [ Andreas Henriksson ]
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Jul 2014 23:44:36 +0200

gdm3 (3.12.2-1) experimental; urgency=medium

  * New upstream release
  * Remove kfreebsd-any from Architecture. (Closes: #602724, #601106,
    #612157, #733546)
  * debian/gdm3.init: Try to activate logind before starting gdm to avoid a
    race condition when systemd is not used as PID1 (Closes: #747210)
  * debian/rules: Re-disable consolekit fallback support

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 May 2014 23:53:50 +0200

gdm3 (3.12.1-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules:
    - Re-add --with(out)-selinux flag to the configure, the flag is back again
    - Drop --disable-fallback-greeter configure flag, the fallback greeter is
      gone for quite some time already
    - Drop --with(out)-consolekit configure flag, we are now building with
      the fallback to consolekit on all architectures
  * debian/control.in:
    - Bump Standards-Version to 3.9.5 (no further changes)
    - Enable journald support
    - Drop explicit dependency against systemd, libpam-systemd should pull the
      needed packages
    - Depends against consolekit on non-linux architectures
  * debian/gdm3.pam, debian/gdm3-autologin.pam: Call pam_selinux open module
    higher in the session stack

  [ Josselin Mouette ]
  * Make description up-to-date.
  * New upstream release.
  * Drop nested-login related patches, they are not coming back.
  * Remove firstVT patch, it has been replaced upstream by
    --with-initial-vt.
  * 90_config_comments.patch: stop documenting FirstVT.
  * Install files in /usr/share/dconf
  * Depend on dconf 0.20 for file-db support.
  * 92_gsettings_path.patch: removed. Dconf now supports database files
    with hardcoded paths.
  * 91_dconf_database_path.patch: new patch. Point to a dconf path in
    /var/lib/gdm3 instead of the one in $DATADIR.
  * Don’t install the pre-generated dconf database.
  * Install the source dconf databases to their former place in
    /usr/share/gdm/dconf.
  * greeter.dconf-defaults: this is a new file to remove the old
    greeter.gsettings
  * Convert greeter.gsettings to greeter.dconf-defaults at postinst time
    and use ucf to update the file.
  * Make a direct symlink to the new greeter.dconf-defaults file in the
    dconf defaults directory.
  * Simplify the dconf regeneration in gdm3.init thanks to that.
  * Move configuration generation to a separate script.
  * Use dh_systemd.
  * 92_systemd_unit.patch: port our init script specifics to the unit
    file.
  * Install the unit file.
  * Install a symlink to display-manager.service for the default display
    manager, according to the value set in debconf.
  * Add a symlink to gdm3.service since this is the name of the old init
    script.
  * Fix the logic to update the default display manager after running
    debconf.
  * Require a policykit-1 with systemd support.
  * 93_disable_gvfs.patch: reverted upstream change 446d061a. Do not
    launch gvfs in the login session.
  * Install stub D-Bus files for gnome-online-accounts and telepathy, to
    avoid launching such daemons in the login session.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 10 May 2014 22:52:23 +0200

gdm3 (3.12.0-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/gdm-launch-environment.pam: Drop the symlink to gdm3-autologin and
    install a real pam service. The differences with gdm3-autologin service
    are that gdm-launch-environment should not transition out of the xdm_t
    SELinux domain and not set a loginuid (as it's daemon's internal and not
    a real user)
  * Drop debian/patches/10_gdm3_pam.patch and rename all the pam services back
    to their upstream names. Also bump gnome-shell dependency as it uses gdm
    PAM services and the names must be synchronized.
  * debian/gdm3.init: Fix inconsistency regarding the usage of PIDFILE
    variable, thanks to Leo Antunes <costela@debian.org> (Closes: #729489)
  * debian/control.in: Depend on libpam-systemd on linux architectures as we
    need XDG_RUNTIME_DIR set to work.
  * Drop debian/patches/96_check_libs.patch: Since check 0.9.10-2, check.pc is
    containing the needed libraries for linking, bump build-dep accordingly

  [ Andreas Henriksson ]
  * New upstream release.
  * debian/rules: add --with-gnome-settings-daemon-directory configure flag.
  * Drop debian/patches/07_libexec-paths.patch, obsoleted by previous entry.
  * Drop debian/patches/10_no_gettext.patch, merged upstream.
  * Drop debian/patches/20_credentials.patch, merged upstream.
  * Drop debian/patches/22_noconsole.patch, merged upstream.
  * Drop debian/patches/95_check_x11_display.patch
    - Obsoleted by upstream changes, see commit 04116535f7a2f37a9724835
      "daemon: don't require seat to locate reauth channel"
  * Have quilt refresh remaining patches to apply cleanly.
  * Build-depend on dconf-cli 0.19.90
    - "dconf compile ..." used during build.
  * debian/rules: drop moving gdm dconf profile out of /etc
    - upstream gdm has been fixed to not misuse dconf anymore.
  * Update debian/libgdm1.symbols
    - 4 symbols dropped related to language selection, upstream
      commit 0b2d22f63b3e6b31 says:
      "This commit drops the interface, since it's unused, and
       we don't have any API guarantees in libgdm."

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 04 Apr 2014 22:01:58 +0200

gdm3 (3.10.0.1-2) experimental; urgency=low

  * Update dependency on gnome-shell and gnome-session to >= 3.10. Otherwise
    the greeter apparently won't function.

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 02 Nov 2013 11:47:36 +0100

gdm3 (3.10.0.1-1) experimental; urgency=low

  [ Michael Biebl ]
  * Drop Depends on policykit-1-gnome, with the gdm-fallback session gone,
    this dependency is no longer required. Also remove
    polkit-gnome-authentication-agent-1.desktop along with it.
  * Use a versioned Depends on gnome-shell (>= 3.6) rather then an unversioned
    Depends + a versioned Breaks. There is no real reason to do the latter and
    it seems to confuse APT and break upgrades.

  [ Sjoerd Simons ]
  * New upstream release (3.10.0.1)
  * Switch from consolekit to systemd-logind sessions. For some reason
    gnome-shell 3.10 unlocking fails with consolekit...
  * debian/patches/*: Refreshed

  [ Laurent Bigonville ]
  * debian/rules: Also drop gdm-simple-greeter.desktop, simple-greeter is
    definitely gone
  * debian/rules: Cleanup the list of that are files being removed during
    build, some of them are gone from upstream tarball now

  [ Sjoerd Simons ]
  * Add dependency on systemd for systemd-logind
  * Use logind session tracking on linux

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 01 Nov 2013 22:34:17 +0100

gdm3 (3.8.4-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/20_credentials.patch:
    + Patch from Petr Salinger, use g_credentials_get_unix_pid() instead
      of our own function as the former supports kFreeBSD. Closes: #692739.
  * debian/control.in:
    + Build depend on glib 2.36 for the above function.

  [ Simon McVittie ]
  * Apply patch from Paul Wise to avoid userdel error messages
    from being used as input for debconf if gdm3 is purged while
    processes are still running as Debian-gdm (Closes: #657751)

  [ Emilio Pozuelo Monfort ]
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 13 Oct 2013 17:29:04 +0200

gdm3 (3.8.4-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * New upstream release
    - debian/rules: Explicitly disable gdm-simple-greeter, it has been removed
      from the archive for quite some time now and will be gone again in the
      next major release anyway.
  * debian/control.in:
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Use canonical URLs for VCS fields
    - Fix duplicate short description of libgdm package
  * debian/gdm3.lintian-overrides, debian/source.lintian-overrides:
    - Add an override for 'gdm3: unused-debconf-template gdm3/daemon_name'
    - Drop unused overrides to please lintian
  * debian/gdm3.dirs: Drop usr/share/gdm/greeter-settings/, not needed anymore
    since 3.4.1-1
  * debian/gdmflexiserver.1.pod: Fix grammar, thanks to lintian
  * debian/gdm3.manpages, debian/libgdm.manpages: Move gdmflexiserver manpage
    to libgdm package so it follows the executable
  * debian/rules: List non-installed files
  * debian/gdm-screenshot.1.pod, debian/gdm3.manpages: Add manpage for
    gdm-screenshot executable, thanks to Nathan Handler (Closes: #691295)

  [ Jeremy Bicha ]
  * debian/control.in:
    - Since the fallback greeter isn't provided anymore, depend on gnome-shell
      instead of metacity as gnome-shell is the only available gdm3 greeter
    - Breaks/Replaces gdm3 instead of gdm

  [ Javier Martinez ]
  * debian/patches:
    + Drop 93_private_lib.patch. Don't install the shared library
      in a private directory.
   * debian/control.in:
     + Split libgdm adding a libgdm-dev package
     + Rename libgdm to libgdm1 and update the package description
     + Add a gir1.2-gdm3 package for GObject introspection data
   * debian/gdm3.lintian-overrides:
     + Drop gdm3: binary-or-shlib-defines-rpath
       usr/lib/gdm3/gdm-simple-chooser /usr/lib/gdm since the gdm libraries
       are not private anymore.
     + Make build depend on debhelper (>= 8.1.3) and cdbs (>= 0.4.93~) and
       add Pre-Depends: ${misc:Pre-Depends} to shared libs packages to
       support Multi-Arch
   * debian/rules:
     + Remove all mangling about /usr/lib/gdm and update binary-install/libgdm::
     + Append --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) to
       DEB_CONFIGURE_EXTRA_FLAGS

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Sep 2013 00:40:53 +0200

gdm3 (3.8.3-2) experimental; urgency=low

  * debian/patches/10_gdm3_pam.patch:
    + Updated. Update some more hardcoded gdm-autologin  entries
  * debian/gdm3.install: Install the files debian overrides as the last ones
    so we don't accidentally include upstream versions. Specifically in the
    case of the Xsession which needs to be debian specific

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 27 Jun 2013 08:56:50 +0200

gdm3 (3.8.3-1) experimental; urgency=low

  [ Simon McVittie ]
  * Don't suggest gok, which has been deprecated in favour of caribou
    and is not in GNOME 3 or Debian wheezy (Closes: #692781)
  * Fix a typo in a comment in gdm3-autologin.pam (Closes: #689927)

  [ Laurent Bigonville ]
  * New upstream release (Closes: #701035)
    - Pass new --with-ran-once-marker-directory flag to the configure
  * Enable plymouth support on linux-any architecture
  * Drop --enable-selinux configure flag, the flag is gone

  [ Thomas Bechtold ]
  * debian/rules:
    Remove unknown option --disable-scrollkeeper (Closes: #701609)

  [ Tim Lunn ]
  * Split out libgdm into a separate package so that GNOME Shell
    can use alternate display managers

  [ Simon McVittie ]
  * Mark all packages as Architecture: linux-any kfreebsd-any, because
    gdm requires credentials-passing (unimplemented on Hurd)
  * Fix gdm3.install for package split
    - gdm-simple-chooser etc. are in /usr/lib/gdm3, not /usr/lib/gdm
    - /usr/sbin/gdm-binary is the real daemon, and debian/rules expects it
      under that name
  * Tell dh_shlibdeps to look in libgdm to satisfy the shared library
    dependencies, and add a shlibs.local for them

  [ Michael Biebl ]
  * Change Depends on dconf-tools to dconf-cli. We only require the command
    line tools which were split out into a separate package.

  [ Sjoerd Simons ]
  * New upstream release 3.8.3
  * debian/control.in: Update build-depends
  * Explicitely pick consolekit as the session manager for now, to ensure
    consolkit sessions get registered to ensure the last few remaining users of
    consolekit keep working.. systemd-logind is smart enough to pick up the
    session by itself, so programs relying on logind will work properly.
  * debian/greeter.gsettings:
    + Use gdm-shell greeter, fallback has been removed upstream
    + Stop disabling the power icon, it now longer allows configuring power
      settings
  * debian/gdm3.lintian-overrides
    + Override gdm3: binary-or-shlib-defines-rpath
        usr/lib/gdm3/gdm-simple-chooser /usr/lib/gdm as it's expected for gdm3
        to use the private gdm libraries

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 06 Jun 2013 13:39:28 +0200

gdm3 (3.6.1-2) experimental; urgency=low

  * Team upload

  [ Sjoerd Simons ]
  * debian/rules: Specify the check-accelerated-directory (Closes: #692466;
    thanks to Frederic Peters)

 -- Simon McVittie <smcv@debian.org>  Wed, 07 Nov 2012 14:35:38 +0000

gdm3 (3.6.1-1) experimental; urgency=low

  * New upstream release
  * debian/patches/94_schemas_location_on_hup.patch
    + Dropped, merged upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 20 Oct 2012 17:50:59 +0200

gdm3 (3.6.0-1) experimental; urgency=low

  * New upstream release
  * debian/patches/04_reload_config.patch
    debian/patches/05_debug_xserver_core.patch
    debian/patches/17_switch_on_finish.patch
    debian/patches/18_parametrize_create_display.patch
    debian/patches/19_static_transient_display.patch
    debian/patches/20_switch_kill_greeter.patch
    debian/patches/30_dbus_prctl_death.patch
    debian/patches/31_worker_session_gone.patch
    debian/patches/32_ignore_greeter_crash.patch:
    + Dropped, merged upstream
  * debian/patches/94_schemas_location_on_hup.patch:
     + Added, look in the right schema location on the HUP signal
  * gdm3.{postinst,postrm}: PAM config file changed from gdm-welcome to
    gdm-launch-environment. Adapt postinst/postrm for the new name and remove
    the old
  * debian/rules: Set --with-consolekit-directory
  * debian/control.in: Update build-depends, break gnome-shell (<<3.5) and
    depends on gnome-session >= 3.6
  * Sync with Ubuntu:
    + debian/patches/10_no_gettext.patch:
      + Added, Don't mix intltool and gettext macro
  * debian/patches/95_check_x11_display.patch
    + Added, Check X11Display instead of X11DisplayDevice to see if it's an X
      session as X11DisplayDevice isn't properly set
  * debian/rules: Set the initial vt to 7

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 14 Oct 2012 22:02:30 +0200

gdm3 (3.4.1-3) unstable; urgency=low

  * Drop suggests on gnome-mag.
  * Recommends: at-spi → at-spi2-core. Closes: #680947.
  * Recommend gnome-icon-theme-symbolic. Closes: #683348.
  * Generate templates from PO files. Closes: #686037.
  * Update po files from the xdm source.
  * Remove obsolete README.source.
  * Grab some patches upstream:
    + 30_dbus_prctl_death.patch: ensure dbus dies with the session.
    + 31_worker_session_gone.patch: avoid race condition when the
      session dies.
    + 32_ignore_greeter_crash.patch: ignore when the greeter crashes
      while no longer needed.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2012 14:01:46 +0200

gdm3 (3.4.1-2) unstable; urgency=low

  * Fix typo in dconf-tools dependency version. Closes: #678961.
  * Use --no-create-home and --quiet for addgroup/adduser calls.
    Closes: #675809.
  * 05_debug_xserver_core.patch: patch from upstream git. Make the X
    server dump core when debugging is enabled. Closes: #651693.
  * 06_first_vt.patch, 20_switch_kill_greeter.patch: refreshed.
  * 90_config_comments.patch: more comments with useful options.
  * Add references to patches.
  * 02_xnest_wrapper.patch: disabled.
  * 04_reload_config.patch: patch from upstream git. Get SIGHUP to
    actually reload the configuration.
  * gdm3.init: send SIGHUP to get reload to work.

 -- Josselin Mouette <joss@debian.org>  Mon, 25 Jun 2012 20:18:38 +0200

gdm3 (3.4.1-1) unstable; urgency=low

  [ Jordi Mallach ]
  * Update po-up/ca.po.

  [ Josselin Mouette ]
  * gdm3.init: remove .ICEauthority before starting. Closes: #648666.
  * x11-common will now include xhost code to give access to the
    local user if xhost is installed (see #586685).
    + Depend on the appropriate x11-common version.
    + Depend on x11-xserver-utils so that it actually works.
  * New upstream release.
  * Updated build-dependencies: nss, glib.
  * 01_language.patch: dropped, merged upstream.
  * 04_no_fatal_criticals.patch: dropped, obsolete.
  * 07_libexec-paths.patch: removed unused variables/files.
  * 08_frequent-users_greeter.patch: reworked according to upstream
    changes.
  * 10_gdm3_pam.patch: updated for the new version. Do not prefix the
    PAM files for multistack, they have new names anyway.
  * 14_pam_dialog.patch: dropped, upstream merged an improved version.
  * 18_parametrize_create_display.patch: updated for the new version.
  * 19_static_transient_display.patch: unfuzzed.
  * 29_grep_path.patch: dropped, merged upstream.
  * 91_dconf_override.patch: dropped, the configuration generation has
    completely changed.
  * 93_xdg_data_dirs.patch: dropped, similar functionality merged
    upstream.
  * Drop the dconf-gsettings-backend dependency.
  * greeter.gconf-defaults:
    + Drop the g-p-m setting.
  * greeter.gsettings:
    + Force gdm-fallback as the default session.
    + Document how to use gdm-shell.
    + Document how to change the background. Closes: #655328.
  * rules:
    + Generate xx_upstream.gschema.override from the new
      00-upstream-settings file (much simpler).
    + Remove /etc/dconf from the installed files.
    + Drop all development libraries/headers.
    + Explicitly disable introspection.
    + (All of this can be shipped in separate packages if actual
      packages start using this library.)
    + Explicitly disable split authentication, it will not work properly
      with the Debianized PAM stack.
    + Remove the associated PAM files.
    + Disable dh_makeshlibs.
    + Install the dconf stuff in /usr/share/gdm.
  * gdm3.postinst:
    + Remove the old gsettings file upon upgrade.
  * gdm3.links:
    + Remove the old gsettings link.
  * gdm3.init:
    + Replace the gsettings generation by a dconf-based one.
    + Do a conversion for the configuration file so that it remains
      compatible.
  * 92_gsettings_path.patch: updated to force the dconf directory to be
    in the GDM runtime directory.
  * gdm3.install:
    + Stop installing MIME files by hand.
  * 93_private_lib.patch: new patch. Install the shared library in a
    private directory.
  * Break gnome-shell < 3.2 for correct shell support.
  * Suggest gnome-shell.
  * Require g-s-d and metacity, they are no longer optional. Requiring
    g-s-d 3.2 Closes: #656384.
  * Require d-conf 0.10.0-4 to configure the dconf path and parse
    defaults in order.

  [ Laurent Bigonville ]
  * debian/gdm3.pam, debian/gdm3-autologin.pam: Call pam_selinux pam module
    (Closes: #661289)
  * debian/gdm3.pam, debian/gdm3-autologin.pam: Call pam_loginuid pam module
    (Closes: #661745)

  [ Josselin Mouette ]
  * New upstream release.
    + Features the incredible capability to not try endlessly to start
      up X servers when they fail to start.
      Closes: #580627, #610826, #650183.
  * Move login manager defaults from gconf to gsettings.
    + Now we use full path for the icon.
  * Add the metacity default to gsettings too.
  * Require a metacity version which supports gsettings.
  * Get rid of anything related to GConf.
  * Use dh maintscript support to remove the old GConf config file.
  * Force disable systemd support.
  * 06_first_vt.patch, 17_switch_on_finish.patch: refreshed.
  * 07_libexec-paths.patch:
    + Use the binary path as provided by g-s-d.pc.
    + Add a check for gnome-session, which is also used.
  * 10_gdm3_pam.patch: handle the bucket of FAIL that is hardcoding the
    service name in various places since split authentication was
    introduced.
  * 18_parametrize_create_display.patch,
    19_static_transient_display.patch, 20_switch_kill_greeter.patch,
    21_static_display_purge.patch: adapt to systemd/multiseat changes.
  * Require dconf 0.12.1-2.
  * gdm3.post{inst,rm}: add a gdm-welcome PAM service, which is now
    needed for the login session. It's just a symlink.
  * 91_shell_version_control.patch: new patch, Debian-specific. Add
    strict version checking for gnome-shell in order to go to the fall
    back session in case of potential incompatibility.
  * 93_private_lib.patch: also install the typelib file in the private
    directory, and drop the gir file.
  * gdm3.dirs: /usr/lib/gnome-shell
  * rules:
    + Remove pre-built gdm.schemas which includes incorrect settings.
    + Enable introspection.
    + Instruct dh_girepository to look at the typelib file in the right
      place.
    + Add symbolic links for the library and typelib in the gnome-shell
      directory so that it can use them.
  * Add gir (build-)dependencies.
  * 23_start_polkit.patch: new patch. Start the policykit agent in the
    fallback session. Otherwise reboot/shutdown does nothing when
    someone is logged on.

 -- Josselin Mouette <joss@debian.org>  Thu, 21 Jun 2012 00:18:36 +0200

gdm3 (3.0.4-4) unstable; urgency=low

  [ Michael Biebl ]
  * debian/watch:
    - Update to version 3.
    - Track .xz tarballs.
    - Don't run uupdate.

  [ Josselin Mouette ]
  * Build-depend on gnome-settings-daemon so that its plugins are
    correctly listed.
  * Note this is a critical security fix, but does not affect testing.
  * Also closes: #630482.

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Oct 2011 16:22:33 +0200

gdm3 (3.0.4-3) unstable; urgency=low

  * Upload to unstable.
  * Drop Build-Depends on libpolkit-gobject-1-dev and libpolkit-gtk-1-dev.
  * Refresh patches.
  * Bump debhelper compatibility level to 8.
  * Bump Standards-Version to 3.9.2. No further changes.
  * debian/greeter.gsettings: Don't set wallpaper from desktop-base, as we
    don't have a hard dependency on desktop-base which can lead to a broken
    desktop background.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 14:45:46 +0200

gdm3 (3.0.4-2) experimental; urgency=low

  * Document how to change the GSettings settings in README.Debian.
  * greeter.gsettings: add an example of how to disable the sound.
    Closes: #628858.
  * 06_first_vt.patch: update to add Hurd support. Closes: #629366.
  * 18_switch_kill_greeter.patch, 20_endsession_respawn.patch: replaced
    by a series of cleaned up upstream patches.
    + 17_switch_on_finish.patch: add the switch-on-finish property to
      displays.
    + 18_parametrize_create_display.patch: allow the daemon to create an
      arbitrary type of display.
    + 19_static_transient_display.patch: share the respawn logic between
      static and transient displays.
    + 20_switch_kill_greeter.patch: here is the code that kills the
      unnecessary greeter if we support -novtswitch.
    + 21_static_display_purge.patch: the last missing change in the
      upstream patches, purges static displays just as transient
      displays.
  * Pass --with-vt-switch-workaround on non-Linux architectures.
  * 01_language.patch: replaced by a new version from upstream. Only
    sets the variables when non-empty.

 -- Josselin Mouette <joss@debian.org>  Wed, 15 Jun 2011 20:14:19 +0200

gdm3 (3.0.4-1) experimental; urgency=low

  * New upstream bugfix & security release.
  * Require accountsservice 0.6.12.
  * 07_libexec-paths.patch, 91_dconf_override.patch: updated for the new
    version.
  * 93_xdg_data_dirs.patch: new patch. Add /usr/share/gdm to
    XDG_DATA_DIRS.
  * debian/gdm3.install: install the dummy desktop handler and the
    mimeapps.list to /usr/share/gdm/applications.
  * rules: clean them from /var.

 -- Josselin Mouette <joss@debian.org>  Wed, 01 Jun 2011 00:40:08 +0200

gdm3 (3.0.0-2) experimental; urgency=low

  * 18_switch_kill_greeter.patch: remove the 2 second timeout, it is
    useless now.
  * 14_pam_dialog.patch: completely revamped. Use a message queue to
    show messages on the text area instead of showing an ugly dialog.
  * 30_utf8_locale.patch: dropped, it’s useless now. Furthermore the
    official locale name is now bl_AH.utf8, it’s extracted directly from
    the locales package by accountsservice.
  * Build-depend on gnome-settings-daemon-dev and
    gsettings-desktop-schemas.
  * Rename 21_schemas_usr.patch to 90_config_comments.patch, to match
    its true meaning and the fact it won’t be forwarded.
  * Allow to tune the GSettings configuration like for GConf.
    + 91_dconf_override.patch: new Debian-specific patch. Turn the
      make-dconf-override-db script into one that creates a GSettings
      override file. Drop the dconf profile entirely.
    + Install the result in /usr/share/gdm/greeter-settings.
    + 92_gsettings_path.patch: new Debian-specific patch. Set
      GSETTINGS_SCHEMA_DIR in the welcome session instead of
      DCONF_PROFILE.
    + Require gsettings-desktop-schemas and libglib2.0-bin in the binary
      package.
    + greeter.gsettings: new file. Set the Debian GSettings defaults.
    + Install it in /etc/gdm3 and link it in
      /usr/share/gdm/greeter-settings.
    + gdm3.init: regenerate the schemas if needed in /var/lib/gdm3.
  * greeter.gconf-defaults: remove settings that are necessarily in
    GSettings now.

 -- Josselin Mouette <joss@debian.org>  Thu, 12 May 2011 00:09:50 +0200

gdm3 (3.0.0-1) experimental; urgency=low

  * DISCLAIMER: this one is labeled “experimental” for a reason.
  * README.Debian: remove reference to GDM 2.26. Closes: #616603.
  * gdm3.8.pod: patch from Vincent Lefevre to document XAUTHORITY.
    Closes: #616612.
  * New upstream release.
  * 01_minimal_uid.patch: dropped, fixed upstream using accountsservice.
  * 07_libexec-paths.patch: put enough intelligence in configure.ac to
    remove the need for a Debian-specific patch.
  * 08_frequent-users_greeter.patch:
    + Drop the parts that have been moved to accountsservice.
    + Now use "x11" instead of "gdm" as session type. See #624474 for
      the gory details.
  * 11_no_xhost_thanks.patch: dropped, upstream promises it is safe.
  * 11_xephyr_nested.patch: disabled for the moment.
  * 12_polkit_settings.patch, 13_gdmsetup.patch, 13_gdmsetup_ui.patch,
    13_gdmsetup_desktop.patch: dropped, this is now done in the control
    center.
  * 14_pam_dialog.patch: disabled for the moment.
  * 18_switch_kill_greeter.patch: add the forced -novtswitch argument
    for Linux here, making the patch self-consistent.
  * 19_configure_xserver.patch: disabled. It lets people do stupid
    things, and upstream would prefer to have only the X server binary
    configurable.
  * Stop setting X_CONFIG_OPTIONS according to those two changes.
  * 20_endsession_respawn.patch: disable the nested stuff for now.
  * 21_schemas_usr.patch: most of it has been merged upstream. Only keep
    extra comments in the configuration file.
  * 22_noconsole.patch: rename the configuration option to
    xdmcp/ShowLocalGreeter at upstream’s request.
  * 30_utf8_locale.patch: refreshed.
  * 31_xkb_options.patch: dropped, upstream removed the keyboard
    switching feature.
  * 03_ipv6.patch, 05_stop_welcome_session.patch, 15_kfreebsd.patch,
    17_no_libxdmcp.patch, 23_autologin_once.patch, 25_upower.patch,
    26_username_escape.patch, 27_orca_braille.patch, 28_beep.patch:
    dropped, merged upstream.
  * 90_relibtoolize.patch: dropped in favor of dh-autoreconf.
  * Update build-dependencies according to the new version.
  * Drop the conflicts/replaces/provides against f-u-s-a.
  * Require accountsservice 0.6.9-2 for correct session accounting.
  * Require dconf-gsettings-backend for the dconf hacks.
  * Restore debian/TODO.
  * Remove icons and desktop files for gdmsetup and gdmflexiserver.
  * debian/po-up/POTFILES.in: cleanup gdmsetup stuff.
  * Drop gdmXnestwrapper, anyway we can force Xephyr now.
  * Drop gnome-session-check-accelerated.desktop, it’s useless at login
    time.
  * gdm3.preinst: dropped, the change is in stable.
  * Require gnome-session 3.0.
  * Stop adding /usr/share/gdm to XDG_DATA_DIRS
  * Break gnome-control-center < 3 since it is required for account
    configuration.
  * 01_language.patch: new patch. Don’t set LANG, which can be already
    set by PAM, only set GDM_LANG.
  * gdm*.pam: use session directives for pam_env, instead of auth.

 -- Josselin Mouette <joss@debian.org>  Mon, 28 Mar 2011 11:31:13 +0530

gdm3 (2.30.5-11) unstable; urgency=low

  * 35_double_free.patch: stolen from 2.30.7. Fix a double free issue in
    the chooser code.
  * 36_windowpath.patch: stolen from 2.30.7. Only set the WINDOWPATH
    variable if not null.
  * 37_shutdown_buttons.patch: stolen from upstream git. Only show
    shutdown options when requested. Closes: #628032.
  * 14_pam_dialog.patch: remove the beep, since it happens after the
    session has been reaped and can lock the sound device.

 -- Josselin Mouette <joss@debian.org>  Thu, 18 Aug 2011 18:21:15 +0200

gdm3 (2.30.5-10) unstable; urgency=low

  * 33_reset_signal_handler.patch: stolen upstream. Reset SIGPIPE
    handler before starting the session.
  * 34_postsession_shutdown.patch: stolen upstream. Execute the
    PostSession script even when GDM is killed or shut down.

 -- Josselin Mouette <joss@debian.org>  Wed, 20 Apr 2011 19:57:09 +0200

gdm3 (2.30.5-9) unstable; urgency=high

  * README.Debian: remove reference to GDM 2.26. Closes: #616603.
  * gdm3.8.pod: patch from Vincent Lefevre to document XAUTHORITY.
    Closes: #616612.
  * 32_CVE-2011-0727.patch: patch from Ray Strode to fix local root
    privilege escalation. Closes: #620184, CVE-2011-0727.

 -- Josselin Mouette <joss@debian.org>  Sat, 09 Apr 2011 12:09:35 +0200

gdm3 (2.30.5-8) unstable; urgency=low

  * README.Debian: document the xauth stuff. Closes: #614972.
  * 31_xkb_options.patch: patch from Julien Pinon to always pass XKB
    options regardless of the layout. Closes: #590534.
  * 13_gdmsetup.patch: updated to link to the libs required by the usage
    of libgdmcommon. Closes: #615720.
  * 90_relibtoolize.patch: updated accordingly.

 -- Josselin Mouette <joss@debian.org>  Thu, 03 Mar 2011 22:10:30 +0100

gdm3 (2.30.5-7) unstable; urgency=low

  [ Josselin Mouette ]
  * gdm3.init: chown the configuration to Debian-gdm, to avoid umask
    issues. Closes: #603510.
  * gdm3.postrm: handle deluser/delgroup failures gracefully.
    Closes: #603753.
  * 29_grep_path.patch: new patch. Don’t hardcode grep to a wrong
    location. Closes: #607664.
  * 30_utf8_locale.patch: new patch. Pass locale.UTF-8 instead of
    locale.utf8. Closes: #607753.

  [ Emilio Pozuelo Monfort ]
  * debian/gdm3.8.pod:
    + Fix typo, thanks Yury V. Zaytsev. Closes: #610723.

 -- Josselin Mouette <joss@debian.org>  Mon, 24 Jan 2011 22:56:35 +0100

gdm3 (2.30.5-6) unstable; urgency=low

  * 11_xephyr_nested.patch: don’t switch VTs from nested displays. It’s
    confusing and prevents using them to start sessions for existing
    users.
  * greeter.gconf-defaults: don’t specify the background, it is now set
    by desktop-base.
  * Recommend desktop-base >= 6 to obtain this background.
  * Remove moreblue-orbit picture.

 -- Josselin Mouette <joss@debian.org>  Mon, 15 Nov 2010 20:52:24 +0100

gdm3 (2.30.5-5) unstable; urgency=low

  * 27_orca_braille.patch: patch from Samuel Thibault to enable braille
    support in orca. Closes: #600472.
  * 20_endsession_respawn.patch:
    + Correctly reinitialize the variable that tells a display must
      respawn. It badly broke when trying to use an already used
      display to switch to another one. Closes: #600706.
    + Also prevent respawning for static displays, otherwise the same
      problem will also happen on :0. The only remaining difference
      remaining between static and transient displays is autologin
      handling.
    + Don’t restart the static display when it exits, that would make
      the previous change moot.
  * Get the greeter to play a beep when it is ready. Thanks Samuel
    Thibault for all the testing. Closes: #598132.
    + 28_beep.patch: new patch. Emit a gdk_beep when appropriate.
    + greeter.gconf-defaults: enable event sounds, so that the beep is
      played.
  * README.Debian:
    + Explain the configuration system more thoroughly. Closes: #601479.
    + Split the debconf translations part in README.source.

 -- Josselin Mouette <joss@debian.org>  Sun, 07 Nov 2010 00:32:11 +0100

gdm3 (2.30.5-4) unstable; urgency=low

  * 21_schemas_usr.patch: add some comments in the daemon.conf file to
    explain the available options. Thanks Joey Hess. Closes: #598666.
  * gdm3.init: drop hal and acpid. Closes: #599015.
  * Pass --enable-debug with DEB_BUILD_OPTIONS=debug.
  * 20_endsession_respawn.patch: fix typo introduced in 2.30.5-2 that
    turns the feature completely off.
  * 18_switch_kill_greeter.patch: ensure that the slave process dies
    too. Avoids leaking gdm-simple-slave processes around.
  * 24_show_user_other.patch: dropped. It is not necessary anymore, the
    case without any user is handled correctly now. Furthermore it was
    causing the infamous focus bug. Closes: #596359.
  * 11_xephyr_nested.patch: fix implicit pointer conversion. Thanks Dann
    Frazier for the report. Closes: #599104.

 -- Josselin Mouette <joss@debian.org>  Wed, 06 Oct 2010 00:10:48 +0200

gdm3 (2.30.5-3) unstable; urgency=low

  [ Josselin Mouette ]
  * pt_BR.po: new Brazilian Portuguese translation by Sérgio Cipolla.
    Closes: #597669.
  * 26_username_escape.patch: stolen in upstream git (2.30 branch). Fix
    escaping in the user list.

  [ Luca Bruno ]
  * 13_gdmsetup.patch: refresh and fix user-manager loading according
    to upstream changes. Closes: #598034.

 -- Josselin Mouette <joss@debian.org>  Sat, 02 Oct 2010 18:41:24 +0200

gdm3 (2.30.5-2) unstable; urgency=low

  * 03_ipv6.patch: new patch from Julien Cristau, thanks a lot for
    investigating! Fix an allocation error that leads to passing garbage
    as addresses.
    Add to that a stripping of ::ffff: from IPv4 mapped addresses, since
    this is not understood in $DISPLAY.
    Closes: #579033.
  * 11_no_xhost_thanks.patch: new patch. Drops the very suspicious xhost
    authentication that is set in the login window. In addition to
    questioning the security, it interacts badly with the Xephyr patch.
  * 11_xephyr_nested.patch: re-enabled.
    + Updated to apply cleanly.
    + Modified to not affect the logic of 19_configure_xserver.patch.
    + Handle the upgrade situation, where the IsNested method does not
      exist on the daemon yet.
    + Don’t pass a vtX argument to nested servers.
    + Start the nested server with an authorization that is accessible
      to the user that launches it. Add another authorization for
      Debian-gdm later. The implication is that the parent user has
      access to the nested display. Which is, well, completely
      unimportant since it already owns the server process.
    + Set GDM_PARENT_{DISPLAY,XAUTHORITY} so that the keymap is set in
      the nested display as well.
    + Put back in place the code that keeps a connection open to the X
      server, it is necessary for proper setting of the keyboard map.
    + Rework the xkb setting in the Init script. Passing model/layout/
      variant/options seems to work better than keymap/types/compat/…
    + Pass GDM_PARENT_DISPLAY to the greeter session too.
    + In the greeter panel, display only a "Quit" element when
      GDM_PARENT_DISPLAY is set. Call the session manager to force a
      logout when pressed.
  * debian/po-up/*.po:
    + Add translations for the Quit and Disconnect strings from gdm
      2.20.11.
  * Install the gdmflexiserver-xnest.desktop file.
  * Recommend x11-xkb-utils for xkbcomp.
  * 19_configure_xserver.patch:
    + Updated to apply cleanly.
    + Add the ability to configure the nested X server command.
  * 20_endsession_respawn.patch: don’t respawn nested X servers.
  * 22_noconsole.patch: refreshed.
  * 14_pam_dialog.patch: show messages from PAM in a dialog so that the
    user can actually see them.
  * Remove debian/TODO, yay!

 -- Josselin Mouette <joss@debian.org>  Fri, 17 Sep 2010 21:37:13 +0200

gdm3 (2.30.5-1) unstable; urgency=low

  * greeter.gconf-defaults: disable the power management icon, it allows
    to change the power management settings. Closes: #580629.
  * 25_xdmcpfill_length.patch, 26_xdmcp_fill.patch: stolen upstream.
    Correctly initialize XdmcpFill. Closes: #579033.
  * 03_authdir.patch: drop, it’s useless since we override it again with
    a make argument.
  * Use linux-any wildcard instead of listing non-linux architectures.
  * Bump standards version accordingly.
  * New upstream translation and bugfix release.
  * 08_frequent-users_greeter.patch, 09_default_session.patch,
    18_switch_kill_greeter.patch, 20_endsession_respawn.patch,
    21_schemas_usr.patch, 24_show_user_other.patch: refreshed.
  * 14_bindv6only.patch, 25_xdmcpfill_length.patch,
    26_xdmcpfill_length.patch: dropped, merged upstream.
  * 08_frequent-users_greeter.patch: updated to not mark users as logged
    on if they are not logged on using GDM (e.g. console sessions).
  * 13_gdmsetup.patch: update gui/Makefile.am accordingly to upstream
    changes.
  * 25_upower.patch: stolen from upstream git. Use directly upower-glib
    instead of devkit-power-gobject. Closes: #595087.
  * Update build-dependencies accordingly.
  * 90_relibtoolize.patch: regenerated for the new version.

 -- Josselin Mouette <joss@debian.org>  Sun, 05 Sep 2010 21:49:10 +0200

gdm3 (2.30.2-4) unstable; urgency=low

  [ Josselin Mouette ]
  * Ship a file in insserv.conf.d. Closes: #583694.
  * greeter.gconf-defaults: force disabling of the compositing manager,
    the lower panel fails when it is enabled.

  [ Fabian Greffrath ]
  * Correct the path for gdm.schemas in README.Debian (Closes: #581048).

  [ Josselin Mouette ]
  * New Portuguese translation by Pedro Ribeiro. Closes: #581250.
  * 24_show_user_other.patch: new patch. Always show the “Other…” user,
    even when there are no users in the list. Otherwise this breaks
    setups with no local user.
  * gdm3.init: drop bootlogs from the requirements. Closes: #585512.
  * rules: set default language file to /etc/default/locale.
  * debian/Xsession: set LANG from GDM_LANG, which is the one set from
    GDM. Closes: #584231.

 -- Josselin Mouette <joss@debian.org>  Sat, 12 Jun 2010 11:16:04 +0200

gdm3 (2.30.2-3) unstable; urgency=low

  * Pass -novtswitch to the X server options, so that it doesn’t switch
    back to the original tty when being killed. This fixes a corner case
    of user switching which is the original upstream reason for
    introducing the broken behavior we fixed with
    18_switch_kill_greeter.patch.
  * 19_configure_xserver.patch: patch by Hans Petter Jansson to allow to
    set the local X server options in the configuration file.
    Also make it use the default options the configure script sets.
  * 20_endsession_respawn.patch: new patch. Respawn transient displays
    when the user session is finished. In combination with
    -novtswitch, it allows a unified interface where exiting a session
    will always bring back to a login manager, without leaving unused
    displays either.
  * 08_frequent-users_greeter.patch: updated with an improved logic, to
    not use the same session type for the login window and the user
    session.
  * 21_schemas_usr.patch: new patch. Move gdm.schemas to /usr, it should
    certainly not be editable.
  * 90_relibtoolize.patch: refreshed accordingly.
  * 22_noconsole.patch: patch from Patrick Monnerat to allow GDM to work
    as a standalone XDMCP server.
  * 23_autologin_once.patch: patch from Vincent Untz. Do not autologin
    again after the session has been closed. Closes: #578736.
  * gdm3.preinst: remove the old gdm.schemas upon upgrade.

 -- Josselin Mouette <joss@debian.org>  Sat, 08 May 2010 14:59:06 +0200

gdm3 (2.30.2-2) unstable; urgency=low

  * Pass X_PATH et al. through DEB_CONFIGURE_SCRIPT_ENV.
  * 16_xserver_path.patch: use the environment variables when they
    exist. Based on a patch by Julien Cristau.
  * 90_relibtoolize.patch: updated accordingly.
  * Stop build-depending on xserver-xorg.
  * 17_no_libxdmcp.patch: fix build when there is no libxdmcp.
  * Updated Czech translation by Michal Šimůnek.
  * New Japanese translation by Hideki Yamane. Closes: #580222.
  * 18_switch_kill_greeter.patch: new patch. Kill the greeter after
    switching to another user. Closes: #580630.

 -- Josselin Mouette <joss@debian.org>  Fri, 07 May 2010 21:42:02 +0200

gdm3 (2.30.2-1) unstable; urgency=low

  * Break orca < 2.30.0-2 just to be sure.
  * New Czech translation by Michal Šimůnek.
  * New Vietnamese translation by Clytie Siddall. Closes: #579228.
  * 14_bindv6only.patch: patch from Julien Cristau to fix XDMCP and
    chooser behavior with bindv6only=1. Closes: #579033.
  * 15_kfreebsd.patch: first attempt at making gdm3 build on kfreebsd.
    This fixes the current build issue and will probably not be enough.
    Closes: #579288.
  * Add Vcs-* fields.
  * 06_first_vt.patch: hopefully fix the VT manager on kfreebsd. With
    user switching support, by selecting the correct device.
  * New upstream release.
  * 90_relibtoolize.patch: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Tue, 27 Apr 2010 18:50:56 +0200

gdm3 (2.30.0-3) unstable; urgency=low

  * New Spanish translations by Francisco Javier Cuadrado.
  * New Telugu translations by Veeven. Closes: #578713.
  * New Gujarati translations by Kartik Mistry. Closes: #578716.
  * New German translation by Gert Michael Kulyk. Closes: #578730.
  * Don’t build-depend on libaudit-dev on !linux.
  * Only suggest metacity, the functionality loss is minimal.
  * Suggest gok.
  * New Russian translations by Yuri Kozlov. Closes: #578775.
  * 06_first_vt.patch: use /dev/tty0 instead of /dev/console.
  * Merge all translations in debian/po-up to avoid having two files to
    give to translators.
  * New Asturian translations by maacub.
  * New Estonian translations by Mihkel.
  * 06_first_vt.patch: fix a horrible bug that lead to re-use existing
    VTs, causing very ugly things happening when you tried to switch
    users.

 -- Josselin Mouette <joss@debian.org>  Fri, 23 Apr 2010 19:33:33 +0200

gdm3 (2.30.0-2) unstable; urgency=low

  * 11_xephyr_nested.patch: don’t lock the screen when you use Xnest.
    Also handle correctly the -l option.
  * greeter.gconf-defaults: remove trailing whitespace.
  * debian/gdm3.postinst: create a /var/lib/gdm3/.gconf.path that
    mentions the .gconf.mandatory where the settings live. This fixes
    all issues with g-s-d, which didn’t obtain the correct settings.
    Yay!
  * 13_gdmsetup_desktop.patch: split the desktop file in another patch,
    again for translations.
  * debian/po-up/POTFILES.in: add it here.
  * debian/po-up/fr.po: updated accordingly.
  * Add missing build-dep on docbook-xml.
  * Dropped 11_xephyr_nested.patch, it’s not ready for prime time yet.
    Let’s keep up the good work in experimental.
  * Don’t install gdmflexiserver-xnest.desktop.
  * OMG UPLOAD TO UNSTABLE !!!1!!

 -- Josselin Mouette <joss@debian.org>  Wed, 21 Apr 2010 22:15:17 +0200

gdm3 (2.30.0-1) experimental; urgency=low

  [ Luca Bruno ]
  * New upstream release.
  * debian/control.in:
    - Added libpolkit-gobject-1-dev and libpolkit-gtk-1-dev build-depends
      for gdmsetup patch.
    - Update to Standards-Version 3.8.4, no additional changes needed.
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop quilt from Build-Depends.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk include.
  * debian/patches/05_stop_welcome_session.patch:
    - Kill process group with SIGKILL and wait 200ms.
  * debian/patches/11_xephyr_nested.patch:
    - Added, support running gdm in a nested window.
  * debian/patches/12_polkit_settings.patch:
    - Added, make it possible for users to change gdm system settings.
  * debian/patches/13_gdmsetup.patch:
    - Added a modified version of Ubuntu patch, brings back the gdmsetup
      binary for changing gdm system settings.
  * debian/gdmsetup.svg:
    - Added, use this icon instead of old gdm-setup.png.

  [ Josselin Mouette ]
  * New German translation of the desktop file by Gert Michael Kulyk.
  * Use patch-translations to translate patches that require it.
  * Split the .ui file in a separate patch so that the format can be
    specified.
  * Add French translation for the patches.
  * 05_stop_welcome_session.patch: revert one of the changes, not
    necessary with gnome-session 2.30.
  * Require gnome-session-bin 2.30.
  * Install gdmsetup.desktop in /usr/share/gdm/applications.
  * 13_gdmsetup.patch: correctly pass the locale directory.
  * 90_relibtoolize.patch: updated accordingly.
  * Update TODO with the most obvious remaining bugs.

 -- Josselin Mouette <joss@debian.org>  Wed, 14 Apr 2010 00:57:23 +0200

gdm3 (2.29.92-1) experimental; urgency=low

  [ Luca Bruno ]
  * New upstream release.
  * debian/control.in:
    - Bump libglib2.0-dev build-depend to 2.22.0 and
      libgtk2.0-dev to 2.12.0.
    - Remove libglade2-dev build-depend.
  * debian/patches/05_default_keyboard_layout_xkl.patch,
    debian/patches/04_custom-conf.patch:
    - Removed, applied upstream.
  * debian/patches/07_libexec-paths.patch:
    - Refreshed, upstream fixed at-spi-registryd path.
  * debian/patches/04_no_fatal_criticals.patch:
    - Added, workaround until libxklavier bug gets fixed.
  * debian/patches/05_stop_welcome_session.patch:
    - Added, really stop the welcome session.
  * debian/patches/06_first_vt.patch:
    - Fix vt mask to really start at given vtN.
  * debian/patches/02_xephyr_nested.patch:
    - Support running gdm in a nested window.

  [ Josselin Mouette ]
  * Pass --with-screenshot-dir, newly introduced.
  * Name the user Debian-gdm instead of gdm3, it’s better for the long
    term.
  * Update list of copyright holders.

 -- Luca Bruno <lethalman88@gmail.com>  Thu, 01 Apr 2010 12:49:57 +0200

gdm3 (2.28.1-1) UNRELEASED; urgency=low

  [ Josselin Mouette ]
  * New upstream release.
  * Require devicekit-power and recommend g-p-m 2.28.
  * Require policykit-1-gnome for the policykit 1.0 port.
  * Update build-dependencies.
  * 90_relibtoolize.patch: updated for the new version.
  * Add debian/TODO detailing the (huge) amount of work remaining.

  [ Luca Bruno ]
  * debian/control.in:
    - Require libxklavier-dev build-dep instead of libxklavier12-dev.
    - Update to Standards-Version 3.8.3, no additional changes needed.
  * debian/patches/02_xnest-wrapper.patch:
    - Update to apply cleanly.
  * debian/patches/04_custom-conf.patch:
    - TODO: The custom.conf file cannot be found.
  * debian/patches/05_default_keyboard_layout_xkl.patch:
    - Ubuntu hal patch translated to libxklavier.
    - TODO: The default keyboard layout is wrong.
  * debian/patches/06_first_vt.patch:
    - Backport some code of the tty manager from gdm 2.20.
    - TODO: TTYs are allocated by X itself, which leads to giant FAIL when
      gdm is started before the getty processes.
  * debian/patches/07_libexec-paths.patch:
    - Added a modified version of the Ubuntu patch. It's needed because GDM
      runs external program using LIBEXECDIR, which sometimes is not the
      right path.
  * debian/patches/08_frequent-users_greeter.patch:
    - Added to only show frequent users in greeter that logged in with GDM.
    - TODO: 03_hide_system_users.patch to avoid showing system users in recent
      connections
  * debian/default.desktop, debian/gdm.install, debian/gdm.dirs,
    debian/patches/09_default_session.patch:
    - Ubuntu patch to use default.desktop instead of gnome.desktop as default
      session.
    - Install our default.desktop under /usr/share/gdm/BuiltInSessions,
      Xsession.d scripts will start the system default session.
    - TODO: The default session is always GNOME
  * debian/patches/90_relibtoolize.patch:
    - Update for 05_default_keyboard_layout_xkl.patch libxklavier changes to
      Makefile.am.
  * debian/Xsession, debian/gdmflexiserver.svg,
    debian/gdmflexiserver.desktop, debian/gdm.install:
    - /etc/gdm/Xsession will add /usr/share/gdm to XDG_DATA_DIRS so that
      /usr/share/gdm/applications/gdmflexiserver.desktop appears only in gdm
      sessions with icon
      /usr/share/icons/hicolor/scalable/apps/gdmflexiserver.svg.
    - TODO: gdmflexiserver doesn't appear in the menus.
  * debian/gdmflexiserver.1.pod:
    - Added for lintian, even if most of the options are currently ignored.
  * debian/TODO:
    - gdmflexiserver is ignoring many options, including xnest.

  [ Josselin Mouette ]
  * Rename the package to gdm3. Conflict with gdm.
  * Rework package description a bit.
  * Translate default.desktop.
  * Remove useless extract-locales.
  * Rename all configuration files and main binaries so that it does not
    cause upgrade trouble with good old gdm.
  * Require upower instead of dk-power.
  * 10_gdm3_pam.patch: new patch. Allow to look for PAM files named
    differently from the default.
  * gdm3.postinst: add some code to handle the need to reload the old
    version of gdm if it is still running.

 -- Josselin Mouette <joss@debian.org>  Mon, 15 Mar 2010 21:27:29 +0100

gdm (2.26.1-1) UNRELEASED; urgency=low

  * New upstream release.
  * Completely revamp patches. The patches remaining are:
    + 01_minimal_uid.patch: set the minimal UID to 1000 which is the
      Debian default.
    + 02_xnest-wrapper.patch: formerly 56_xnest-wrapper.patch.
    + 03_authdir.patch: use /var/lib/gdm, not /var/gdm.
    + 90_relibtoolize.patch: formerly 70_mandatory-relibtoolize.patch.
  * Massive update to build-dependencies.
  * Depend/Recommend/Suggest the session components used by GDM.
  * Remove anything related to gdmsetup and gdmphotosetup, they have
    both disappeared.
  * copyright:
    + Update list of copyright holders.
    + Point to versioned GPL file.
  * postrm:
    + Stop cleaning up /etc/default/gdm.
    + Clean up /etc/dm and /var/run/gdm.
  * Stop installing themes, only install the background picture.
  * Stop installing the locale.conf.
  * New packaging based on cdbs.
  * Don’t ship /var/lib/gdm/.gconf.mandatory in the package. Instead,
    ship the upstream configuration in /usr/share/gdm/greeter-config and
    a file for Debian-specific defaults in /etc/gdm. The configuration
    is generated in the postinst, and if needed in the init script.
  * Require gconf2 2.26.2-3 for this change.
  * Update README.Debian.
  * Forbid root login using PAM, since this is no longer a configuration
    option.
  * Add a preinst to remove the old conffiles.
  * Remove some man pages, including the gdmflexiserver one, which is
    seriously outdated.
  * Add lintian overrides.
  * Use start-stop-daemon --background since it is not able to daemonize
    itself automatically.

 -- Josselin Mouette <joss@debian.org>  Tue, 14 Jul 2009 18:58:07 +0200

gdm (2.20.9-1) unstable; urgency=low

  * gdm.install: install the desktop files in
    /usr/share/gdm/applications, so that they are only available when
    the session has been started by GDM. Closes: #508345.
  * Ship an empty /usr/share/sounds directory. Closes: #509219.
  * New upstream translation and bugfix release.
  * 51_selinux_memleak.patch, 52_shutdown_crash.patch: removed, merged
    upstream.
  * 70_mandatory-relibtoolize.patch: updated for the new version.
  * 51_xkb_init.patch: new patch, stolen upstream. Handle the case where
    XKB is not properly initialized.
  * 52_xdmcp_fixes.patch: new patch, stolen upstream. Fix a double free
    and improve error handling for XDMCP. Hopefully closes: #495797.

 -- Josselin Mouette <joss@debian.org>  Fri, 27 Feb 2009 19:22:26 +0100

gdm (2.20.7-5) unstable; urgency=low

  * Don't update-rc.d remove / install during first configuration.
  * Use lt-nl when comparing versions instead of checking $2.
  * Build-depend on xserver-xorg for the X_SERVER detection logic to work; it
    would be more elegant to add an AC_ARG_WITH to skip the detection and
    avoid the bdep, but the 2.20 branch isn't the long term focus so this is a
    good stop gap measure; closes: #509425.

 -- Loic Minier <lool@dooz.org>  Fri, 28 Nov 2008 19:55:12 +0100

gdm (2.20.7-4) unstable; urgency=low

  * 52_shutdown_crash.patch: updated to also ignore the signals in the
    shutdown process.
  * 35_gdm.conf.patch: use pm-suspend instead of s2ram, for consistency
    with HAL. Closes: #503085.
  * Suggest pm-utils instead of uswsusp.

 -- Josselin Mouette <joss@debian.org>  Fri, 24 Oct 2008 21:53:24 +0200

gdm (2.20.7-3) unstable; urgency=low

  * Install the debian-moreblue-orbit theme, thanks Andre Luiz Rodrigues
    Ferreira. Closes: #497440.
  * 35_gdm.conf.patch: make it the default.
  * copyright: fix encoding.

 -- Josselin Mouette <joss@debian.org>  Tue, 02 Sep 2008 10:37:20 +0200

gdm (2.20.7-2) unstable; urgency=low

  [ Loic Minier ]
  * Add "status" support to the init script; bump dep on lsb to >= 3.2-14;
    taken from Ubuntu.
  * Update init script to honor "text" kernel commandline option by not
    starting gdm if this word is found in /proc/cmdline; taken from Ubuntu
    and added -w flag to grep; LP: #256125.

  [ Josselin Mouette ]
  * 51_selinux_memleak.patch: patch from Julien Cristau to fix a memory
    leak in the SELinux code.
  * 52_shutdown_crash.patch: new patch, fixes crash upon shutdown when
    the daemon is not correctly closed. Closes: #458802.

 -- Josselin Mouette <joss@debian.org>  Fri, 29 Aug 2008 16:03:45 +0200

gdm (2.20.7-1) unstable; urgency=low

  [ Josselin Mouette ]
  * 01_fixfree.patch: stolen from upstream. Patch from Frédéric Crozat
    to fix an invalid free causing yet another crash upon shutdown.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/patches/01_fixfree.patch:
      - Dropped, merged upstream.
    + debian/patches/70_mandatory-relibtoolize.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Jul 2008 09:45:46 +0200

gdm (2.20.6-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_crash_on_shutdown.patch:
      - Dropped, merged upstream.
    + debian/patches/70_mandatory-relibtoolize.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 May 2008 11:59:42 +0200

gdm (2.20.5-2) unstable; urgency=low

  * Xsession: set the USERXSESSIONRC variable. Thanks to Yves-Alexis
    Perez. Closes: #458549.
  * control.in: depend on gnome-session | x-session-manager | ...
    Closes: #478497.
  * gdm.init: stop providing x-display-manager, to prevent installation
    failure together with another display manager. The parallel
    installation is already handled through debconf. Closes: #479468.
    Other display manager packages should be fixed the same way.
  * 01_crash_on_shutdown.patch: stolen from upstream SVN. Fixes the
    crash that happens during the shutdown process.
    Closes: #480056, #475855, #467203. However it does not fix #459024.

 -- Josselin Mouette <joss@debian.org>  Sun, 11 May 2008 02:12:44 +0200

gdm (2.20.5-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/70_mandatory-relibtoolize.patch:
      - Updated to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Apr 2008 05:51:15 +0200

gdm (2.20.4-2) unstable; urgency=low

  * gdm.init: remove S from the Default-Stop header. Closes: #471074.

 -- Josselin Mouette <joss@debian.org>  Sat, 15 Mar 2008 19:03:17 +0100

gdm (2.20.4-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/35_gdm.conf.patch:
      - Updated to apply cleanly again.
    + debian/patches/70_mandatory-relibtoolize.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Mar 2008 10:51:38 +0100

gdm (2.20.3-2) unstable; urgency=medium

  [ Josselin Mouette ]
  * gdm.init: add dbus, hal and network-manager to the Should-Start
    section.
  * 35_gdm.conf.patch: remove /var/lib/menu-xdg/xsessions from the list
    of session directories. Closes: #464179.

  [ Loic Minier ]
  * Add missing libpopt-dev b-dep; thanks Daniel Schepler; closes: #467179.

 -- Josselin Mouette <joss@debian.org>  Sat, 16 Feb 2008 02:52:39 +0100

gdm (2.20.3-1) unstable; urgency=low

  [ Loic Minier ]
  * Drop xbase-clients dep; thanks Robert Millan; closes: #455538.

  [ Josselin Mouette ]
  * Conflict against gnome-panel (<< 2.19.2). Closes: #446762.

  [ Loic Minier ]
  * Don't use an aliased ls but hardcode /bin/ls; closes: #454097

  [ Josselin Mouette ]
  * 61_config-parser-issues.patch: upstream fix (r5604) for a bug in the
    parser. Also include r5599 which is required as well.
    Closes: #458094.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + Fixes running gdmflexiserver setuid/setgid (Closes: #455694).
    + 61_config-parser-issues.patch, dropped, merged upstream.
    + 70_mandatory-relibtoolize.patch, regenerated for the new version.
  * debian/control.in:
    + Update to Standards-Version 3.7.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Jan 2008 15:22:58 +0100

gdm (2.20.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * debian/gdm.init:
    + Use the basename of the contents of
      /etc/X11/default-display-manager, to allow the user to specify a
      path by hand. Closes: #452344.
    + Fix bashims.
  * gdm.pam: add support for pam_gnome_keyring. Closes: #445870.
  * Suggest libpam-gnome-keyring.
  * 35_gdm.conf.patch: set Browser=true so that themes with a face
    browser work correctly. Closes: #445743.
  * gdm.postinst: fix quoting in gdm.conf after upgrading from gdm <
    2.20. Closes: #445947.

  [ Loic Minier ]
  * Read /etc/profile, ~/.profile, /etc/xprofile and ~/.xprofile; this is more
    confortable for users, matches RedHat distros, and matches the
    documentation; closes: #438866.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/patches/67_dont_use_LC_CTYPE_for_GDMLANG.patch:
      - Dropped, merged upstream.
    + debian/patches/70_mandatory-relibtoolize.patch:
      - Regenerated for the new version.
    + debian/patches/45_use-gksu-for-gdmsetup.patch:
      - Updated to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 01 Dec 2007 19:08:26 +0100

gdm (2.20.1-2) unstable; urgency=low

  * debian/patches/67_dont_use_LC_CTYPE_for_GDMLANG.patch:
    + Added. Use g_get_language_names to determine the value of GDM_LANG
      instead of LC_CTYPE

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 18 Nov 2007 17:29:25 +0100

gdm (2.20.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Document that references in 64_vt-auto-allocation-fix are wrong.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + It's possible to change to password input via tab again (Closes: #446962).
    + debian/control.in:
      - Require libglib2.0-dev (>= 2.12.0).
    + debian/patches/70_mandatory-relibtoolize.patch:
      - Updated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 03 Nov 2007 22:04:04 +0100

gdm (2.20.0-2) unstable; urgency=high

  * Re-add bug ids and references to patch 64_vt-auto-allocation-fix.
  * Clean whitespace in control.
  * Conflict with fast-user-switch-applet (<< 2.17.4), gnome-session (<<
    2.19.2), gnome-screensaver (<< 2.17.7) for the GDM socket path transition.

 -- Loic Minier <lool@dooz.org>  Sat, 06 Oct 2007 20:02:06 +0200

gdm (2.20.0-1) unstable; urgency=low

  [ Loic Minier ]
  * Pass --system to delgroup and deluser; thanks Vincent Bernat.
  * Recommend xserver-xorg; closes: #436665.

  [ Josselin Mouette ]
  * New upstream release.
  * Update build-dependencies.
  * Refresh patches.
  * 35_gdm.conf.patch:
    + Use s2ram as suspend command; suggest uswsusp.
    + Set UseCirclesInEntry.
  * 41_config-files.patch: the OLD_CONF part is obsolete.
  * Drop patches integrated upstream:
    - 42_timed-login.patch
    - 48_random-greeter-theme.patch
    - 51_misc-env-var-fixes.patch
    - 57_gdm-is-local.patch
    - 59_standard-x-server-detection.patch
    - 60_logname-is-log-name-in-PostLogin.patch
    - 61_gdm-manpage-section.patch
    - 67_C-locale-fallback.patch
    - 69_misc-config-typos.patch
    - 90_from_svn_fix_gdm_restart.patch
  * 64_vt-auto-allocation-fix.patch: deactivated for now, it seems to
    "fix" only part of the binaries, and I don't really know why.
  * Enable secure remote connection; build-depend on zenity.
  * gdm.install:
    + Install desktop files in /usr/share/applications.
    + Install the remote SSH session.
  * gdm.8.pod, gdmlogin.8.pod: fix encoding.
  * rules: don't pass ${prefix} to --libexecdir, it keeps as is in some
    substitutions.
  * gdm.menu: update to the latest menu policy.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Oct 2007 18:39:23 +0200

gdm (2.18.4-1) unstable; urgency=high

  [ Josselin Mouette ]
  * 43_gdmphotosetup.desktop.patch: set NoDisplay=true for
    gdmphotosetup, which duplicates gnome-about-me's functionality.

  [ Loic Minier ]
  * Stop imposing the DPI settings; this was a quick fix that users may opt to
    do, but the correct thing to do is to fix the Xorg configuration on these
    systems or fix the generation of this config; document this in
    README.Debian; closes: #278026, #339707, #364545.

  [ Kilian Krause ]
  * Add get-orig-source target.

  [ Loic Minier ]
  * New upstream stable release.
    - SECURITY: Fixes denial of service attack where the user can crash the
      GDM daemon with a carefuly crafted GDM socket command and cause GDM to
      stop managing future displays; CVE-2007-3381.
    - Drop patch 91_from-svn_gdm-init-hints-and-af-family-in-..., merged
      upstream.

 -- Loic Minier <lool@dooz.org>  Tue, 31 Jul 2007 18:34:07 +0200

gdm (2.18.3-4) unstable; urgency=high

  * Update
    91_from-svn_gdm-init-hints-and-af-family-in-gdm_peek_local_address_list to
    not set AF_INET6; thanks Ely Levy; GNOME #455190; closes: #432227.

 -- Loic Minier <lool@dooz.org>  Thu, 12 Jul 2007 17:43:04 +0200

gdm (2.18.3-3) unstable; urgency=high

  * New patch,
    91_from-svn_gdm-init-hints-and-af-family-in-gdm_peek_local_address_list,
    fixes crash when using IPv6; thanks Ely Levy; GNOME #455190; from
    SVN r5044; closes: #432227.

 -- Loic Minier <lool@dooz.org>  Tue, 10 Jul 2007 15:48:01 +0200

gdm (2.18.3-2) unstable; urgency=medium

  * Cleanups.
  * Fix permissions of gdmXnestWrapper; closes: #432153.
  * Drop dep on debconf which is already added by ${misc:Depends}; thanks
    Michael Biebl; closes: #431698.

 -- Loic Minier <lool@dooz.org>  Wed, 04 Jul 2007 14:30:53 +0200

gdm (2.18.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * gdmXnestWrapper: provide a wrapper script for both nested X servers.
    + gdm.install: install it.
    + 56_xnest-wrapper.patch: force its use in configure.ac.
    + 70_mandatory-relibtoolize.patch: refresh configure.
    + Stop build-depending on xserver-xephyr.
  * 35_gdm.conf.patch: set Clearlooks as the default GTK+ theme.

  [ Loic Minier ]
  * Fix tabs versus spaces in gdm.install.

  [ Josselin Mouette ]
  * Move the nested servers to Recommends.
  * Suggest hibernate instead of apmd.
  * 35_gdm.conf.patch: use hibernate as the default suspend command.

  [ Loic Minier ]
  * New upstream stable release; bug fix and translation.
    - Drop patch 58_is-local-check-null, a more complete fix was added
      upstream; closes: #422483.
    - Update autotools patch, 70_mandatory-relibtoolize, and update patch
      header to use automake and aclocal 1.10 instead of 1.9.

 -- Loic Minier <lool@dooz.org>  Tue, 03 Jul 2007 22:06:34 +0200

gdm (2.18.2-1) unstable; urgency=low

  [ Sam Morris ]
  * Add support for DEB_BUILD_OPTIONS noopt option; closes: #347421.

  [ Loic Minier ]
  * Pass -Wall to CFLAGS too.
  * Build-depend on xserver-xephyr; thanks Sven Arvidsson; closes: #422287.
  * Rework 30_hardcode-standard-x-server and rename to
    59_standard-x-server-detection; update 70_mandatory-relibtoolize.
  * Drop patch 43_clearenv-no-lang as it seems useless -- it only removes a
    function, not calls to this function.
  * New patch, 58_is-local-check-null, checks for NULL ia in
    gdm_is_local_addr6() and gdm_is_local_addr()
  * Drop patch 53_remove-ok-and-cancel-from-included-themes, not needed
    anymore as the buttons work fine.
  * Update patch 58_is-local-check-null with an upstream patch from
    GNOME #436725.

  [ Josselin Mouette ]
  * 35_gdm.conf.patch: add /etc/dm/Sessions/ to the list of directories
    to search for X sessions.

  [ Loic Minier ]
  * New upstream stable release.
    - Refresh patches 42_timed-login, 50_close-fds, 51_misc-env-var-fixes,
      61_gdm-manpage-section, 90_from_svn_fix_gdm_restart to apply cleanly.
    - Drop patches 63_buf-decl, 65_french-translation-typo,
      68_pam-authinfo-unavail, merged upstream.
    - Update relibtoolizing patch, 70_mandatory-relibtoolize.

 -- Loic Minier <lool@dooz.org>  Tue, 29 May 2007 10:47:11 +0200

gdm (2.18.1-2) unstable; urgency=low

  * Fix a packaging mistake introduced while refactoring the install which
    overwrote Debian's /etc/gdm/Xsession with upstream's.
  * Set GNOME Team as Maintainer.

 -- Loic Minier <lool@dooz.org>  Thu, 03 May 2007 14:42:24 +0200

gdm (2.18.1-1) unstable; urgency=low

  * Adopt package; set myself as Maintainer; thanks Ryan Murray for your
    maintenance until now!
  * Ack Porter NMU by Aurélien Jarno; thanks!
  * GNOME Team uploads.
    - Use a control.in.
    - Build-depend on gnome-pkg-tools and include uploaders.mk.
  * Use the quilt patch system instead of keeping changes in the .diff.gz.
    - Apply / unapply patches in rules; "patch" is PHONY.
    - Split the current .diff.gz into 20 patches.
    - Create a series file with all patches.
    - Build-depend on quilt.
    - "make distclean" before unpatching.
  * New patch, 68_doc-build-add-revnumber, fixes build with newer
    gnome-doc-utils.
  * Use full path to gdmsetup in menu file.
  * Fix "closes:" in 2.2.5.2-1 and 2.13.0.10-1.
  * Version the debhelper build-dep to >= 4 and set Debhelper compatibility
    level via debian/compat to 4 instead of via DH_COMPAT in rules.
  * Depend on "debconf (>= 0.5) | debconf-2.0" instead of the only virtual
    "debconf-2.0".
  * Wrap build-deps and deps.
  * Update copyright file.
    - Use full download URL.
    - Include full GPL blob.
    - List GNOME Team as new maintainer.
  * Include AUTHORS in docs.
  * Compute DEB_VERSION, DEB_NOEPOCH_VERSION, and DEB_UPSTREAM_VERSION
    similarly to CDBS and finally compute MAJOR_MINOR for the GNOME version
    included in the footer of man pages.
  * Update watch file to track all stable releases.
  * Misc cleanups.
  * Bump up Debhelper compatibility level to 5.
  * Rework the install / binary-arch targets completely to me more
    debhelper-ish.
    - Stop shipping *.a and *.la files for Gtk modules.
  * Pass --disable-scrollkeeper to configure.
  * Factorize manpages generation.
  * Rename various debian/* files to debian/gdm.*.
  * Add ${misc:Depends}.
  * Misc updates to debian-moreblue.
    - Cleanup indentation of this file.
    - Merge patch by Michael Biebl to properly display wrapped login text;
      closes: #408043.
  * Apply update to templates; thanks Christian Perrier; closes: #417981.
  * Drop postinst upgrade snippet for version <= 2.0-0.beta4.6; upgrades of
    version before sarge don't have to be supported.
  * Check for the usability of deluser and delgroup before running these in
    gdm.postrm.
  * Start gdm in S30 instead of S21; thanks Sjoerd Simons; closes: #419392.
  * Rework gdm.postinst to only run version-specific upgrade code during
    upgrades from these versions and to always run update-rc.d in these cases.
  * Suggest xserver-xephyr | xnest; closes: #416238.
  * New patch, 69_misc-config-typos, fixes misc typos in gdm.conf; thanks
    J S Bygott; closes: #361436.
  * Configure with --enable-ipv6=yes; GNOME #385451; Ubuntu #75254;
    closes: #409428.
  * New upstream releases.
    - Build-dep on libdbus-glib-1-dev (>= 0.30) for ConsoleKit support.
    - Refresh patches 30_hardcode-standard-x-server, 41_config-files,
      42_pam-and-timed-login, 48_random-greeter-theme,
      53_remove-ok-and-cancel-from-included-themes, 57_gdm-is-local,
      62_reference-manual-docbook-entity-reference, 64_vt-auto-allocation-fix,
      67_C-locale-fallback, 68_doc-build-add-revnumber, 69_misc-config-typos.
    - Drop patches:
      . 55_hurd-no-pipe-buf, merged upstream.
      . 68_doc-build-add-revnumber: merged upstream.
    - Update patches:
      . 35_gdm.conf: Update reference to System Configuration file.
      . 45_use-gksu-for-gdmsetup: Update to use the full path to gdmsetup.
      . 50_close-fds: Update to match upstream changes which closed even more
        fds than in the past; convert some Debian specific closes to use
        VE_IGNORE_EINTR() too; leave the upstream code in the source.
      . 65_french-translation-typo: Update to upstream rewording of this
        string.
      . 70_mandatory-relibtoolize: Relibtoolize.
    - Works with sites using automounting since 2.17.0; GNOME #356869;
      closes: #365606.
    - Fixes typo in German translation with 2.18.1; GNOME #421661;
      closes: #414387.
    - Fixes incomprehensible Czech translation with 2.18.1; GNOME #421664;
      closes: #415274.
    - Fixed language selection issues since 2.17.5; GNOME #384603;
      closes: #403928.
  * Drop "--with-tags=" from configure args; libtool should autodetect this
    properly.
  * Build-dep on x11proto-core-dev for XDMCP.
  * Configure with "--with-prefetch=yes"; PreFetchProgram is empty by default
    in Debian though.
  * New patch, 90_from_svn_fix_gdm_restart, fixed restarting of gdm when
    Ctrl-Alt-Backspace is pressed; from SVN; found in the Ubuntu package.
  * New patch, 37_manpage-binaries, removes mentions of various executables
    not present in the Debian package; closes: #357988.
  * New patch, 66_socket-in-var-run-for-fhs, use /var/run for the gdm_socket
    file to comply with the FHS and to avoid issues with bootclean;
    Ubuntu #79620; found in the Ubuntu package.
  * New patch, 55_use-theme-gtkrc, look for gtk-2.0/gtkrc in the theme
    directory and use it; found in the Ubuntu package.
  * New patch, 46_kde-substitude-uid, add X-KDE-SubstituteUID=true to the
    gdmsetup desktop file to hide the entry for non-admin users in KDE.
  * Disabling patch 66_socket-in-var-run-for-fhs for now as it requires
    changes in gnome-session, gnome-panel, and fast-switch-user-applet at the
    same time; thanks Sébastien Bacher.
  * Split patches:
    . 42_pam-and-timed-login into 42_timed-login and 68_pam-authinfo-unavail.
    . 43_clearenv-no-lang-and-buf-decl into 43_clearenv-no-lang and
      63_buf-decl.
    . 50_close-fds into 50_close-fds and 51_misc-env-var-fixes.
  * Add GNOME bug to 66_socket-in-var-run-for-fhs.

 -- Loic Minier <lool@dooz.org>  Wed, 02 May 2007 18:50:19 +0200

gdm (2.16.4-1.1) unstable; urgency=low

  * Porter NMU.
  * Disable SELinux on non-Linux architectures (Hurd, GNU/kFreeBSD).
    Fix gui/gdmchoosed.c wrt to PIPE_BUF (patch from upstream) to
    support Hurd. (closes: #313008).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 26 Feb 2007 11:51:48 +0100

gdm (2.16.4-1) unstable; urgency=high

  * New upstream release
    + Fix for CVE-2006-6105, gdmchooser format string vulnerability (closes: #403219)
    + Fix for 64-bit portability problems (closes: #396259)
  * Fix typo in pam files (closes: #396696)
  * Update debian-moreblue theme to 0.5, and make it the default
  * Relax gdm-themes depends to Recommends because of the default theme change

 -- Ryan Murray <rmurray@debian.org>  Fri, 15 Dec 2006 15:11:04 -0800

gdm (2.16.1-1) unstable; urgency=high

  * New upstream release
    + Fixes CVE-2006-2452 (closes: #375281)
    + Failsafe session no longer made default (closes: #382698)
    + Typo fixed in fr.po (closes: #392611)
    + multiple login dialog updated (closes: #395003)
    + SuspendCommand works (closes: #367232)
    + gdmsetup image screen scrolling works (closes: #288286)
  * Fix typo in fr.po (closes: #372949)
  * Set RelaxPermissions=1 by default (closes: #339965)
  * Don't close all descriptors before starting the slave. (closes: #308825)
  * Parse /etc/default/locale in gdm pam files, for now (closes: #389466)
  * Set console to utf-8 if needed in XKeepsCrashing (closes: #387043)
  * Remove OK and Cancel buttons from included themes (closes: #377934)
  * Add debian-moreblue theme from
    http://cdd.debian-br.org/~si0ux/artwork/debian/gdm/gdm-theme-debian-moreblue.tar.gz
  * Temporarily raise to Depends on gdm-themes, and make the debblue theme
    default for now (closes: #350940)
  * Add /var/lib/menu-xdg/xsessions to SessionDir (closes: #240991)
  * add acpid to Should-Start line of init.d script (closes: #390414)
  * Sync debconf templates against xdm 1.0.5-1
  * Sync locale.conf against locales 2.3.6.ds1-7
  * Stop installing factory-defaults.conf (closes: #394881)
  * Hide stderr from cat in init script, create /etc/X11/default-display-manager
    when the package is installed with tasksel (closes: #379198)
  * Hardcode StandardXServer to /usr/bin/X (closes: #362925)
  * Start gdm at S21 instead of S99 (closes: #291187)

 -- Ryan Murray <rmurray@debian.org>  Sun, 29 Oct 2006 22:02:36 -0800

gdm (2.14.5-1) unstable; urgency=low

  * New upstream release
    + Fixes logins that don't use ssh-agent (closes: #365568)

 -- Ryan Murray <rmurray@debian.org>  Tue,  2 May 2006 23:59:16 -0700

gdm (2.14.4-1) unstable; urgency=high

  * New upstream release (Fixes CVE-2006-1057)
    + sound options now honoured (closes: #361945)
    + fix non-broadcast operation (closes: #365255)
  * Add libdmx-dev to Build-Depends (closes: #346513)
  * Document removal of SecureSystemMenu in README.Debian (closes: #361530)
  * Stop creating/reading /etc/default/gdm and use /etc/default/locale instead.
    (closes: #361090)
  * Add Should-Start: console-screen to LSB block so that the keyboard is
    configured before X is started (closes: #352743)

 -- Ryan Murray <rmurray@debian.org>  Sat, 29 Apr 2006 15:08:41 -0700

gdm (2.13.0.10-2) unstable; urgency=low

  * Add gnome-doc-utils to build-depends.

 -- Ryan Murray <rmurray@debian.org>  Mon, 13 Mar 2006 00:00:13 -0800

gdm (2.13.0.10-1) unstable; urgency=low

  * New upstream release
    + two-level config (closes: #252543)
  * Add build-depends on libxdmcp-dev, libxinerama-dev (closes: #340840, #342113)
  * Relibtoolize (closes: #344910)
  * Add dependency on lsb-base (closes: #346096)
  * Add "Display Manager" hint to menu file (closes: #284613)
  * Depend on librsvg2-common (closes: #348872)
  * Update debconf template translations
  * Update locale.conf against locales 2.3.6-3
  * Take patch to XKeepsCrashing from Ubuntu that restores the keyboard
    to xlate mode before trying to interact with the user.
  * Drop ungnomeish SecureSysMenu patch. (closes: #261980)
  * Set $HOME to /etc/X11 when starting the X server, causing the code
    that looks for $HOME/xorg.conf before other files in /etc to look
    at our configfile, and not one that might be in root's homedir.
    (closes: #250438)
  * Confirmed that the new version correctly works with utf-8 locales
    (closes: #277953)

 -- Ryan Murray <rmurray@debian.org>  Sat, 11 Mar 2006 14:51:15 -0800

gdm (2.8.0.6-2) unstable; urgency=low

  * Apply patch from CVS to fix new auto VT allocation method (closes: #339790)

 -- Ryan Murray <rmurray@debian.org>  Thu, 24 Nov 2005 09:52:06 -0800

gdm (2.8.0.6-1) unstable; urgency=low

  * New upstream release (closes: #313200, #309224, #258934, #327464, #261979,
    #290916, #276871, #304027, #314449)
  * Update Build-Depends (closes: #323513)
  * Update debconf dependency (closes: #331833)
  * Update help section in manpage (closes: #274543)
  * start-stop-daemon --stop and --exec are no longer used together
    (closes: #309199)
  * Rewrite init script with LSB functions.
  * Modify gdm to check for random theme existence, so themes listed for
    random selection don't have to exist
  * Recommend gdm-themes
  * Use graphical login by default and randomize through all packaged
    themes by default (closes: #217250)
  * Pass -dpi 96 to the X Server by default (closes: #285029)
  * Use su-to-root instead of gksu for menu entry of gdmsetup.

 -- Ryan Murray <rmurray@debian.org>  Thu, 17 Nov 2005 03:24:59 -0800

gdm (2.6.0.8-1) unstable; urgency=low

  * New upstream release (closes: #300738)
  * Update watch file upstream location.
  * Don't fail prerm if the question doesn't exist (closes: #299910)
  * Correct PostLogin sample file comments (closes: #287725)
  * Remove LANG variable "normalization" -- this is already dealt with by
    PAM and code in gdm.  Still unset LANGUAGE if the selected GDM_LANG isn't
    at the front of the list, however. (closes: #290565)
  * Redirect invoke-rc.d error message (closes: #280194)
  * Relibtoolize (closes: #274863)
  * Halt Command fix from cvs.

 -- Ryan Murray <rmurray@debian.org>  Thu, 31 Mar 2005 01:27:50 -0800

gdm (2.6.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Ryan Murray <rmurray@debian.org>  Wed, 29 Dec 2004 09:19:17 -0800

gdm (2.6.0.4-1) unstable; urgency=medium

  * New upstream release (closes: #258213)
  * When XKeepsCrashing uses whiptail, pass --scrolltext (closes: #248263)
  * Fix case typo in slave.c (closes: #259173)
  * Use invoke-rc.d in prerm (closes: #262625)
  * Don't export LANG in /etc/default/gdm (closes: #265101)
  * Move libexecdir to /usr/lib/gdm (closes: #266734)
  * Keep stderr open across some execs so error messages make it to the log
    (closes: #261786)
  * Update de.po, es.po (closes: #258933, #267146)

 -- Ryan Murray <rmurray@debian.org>  Sun, 29 Aug 2004 21:45:36 -0700

gdm (2.6.0.3-1) unstable; urgency=low

  * New upstream release (closes: #255516, #222601, #241607, #250755, #240265)
  * Fix typo in prerm script (closes: #251144)
  * Don't fail in the postinst if debconf calls do (closes: #176652)
  * Add Build-Depends on libxt-dev (closes: #256322)
  * Relibtoolize.

 -- Ryan Murray <rmurray@debian.org>  Tue,  6 Jul 2004 22:42:12 -0700

gdm (2.4.4.7-3) unstable; urgency=low

  * Add Build-Depends on xlibs-static-dev

 -- Ryan Murray <rmurray@debian.org>  Sat, 15 May 2004 21:07:50 -0700

gdm (2.4.4.7-2) unstable; urgency=low

  * Correct location of logdir (closes: #240984)
  * Add /etc/default/gdm, initialized from the locales package's debconf.
    (closes: #133578)
  * Add depends on xbase-clients until #242485 is fixed in X. (closes: #247065)
  * Change "genius" to "gdm" in default config comments (closes: #243218)
  * Soft restart gdm in postinst (closes: #240993)
  * Update locale.conf to latest glibc (closes: #247971)
  * Create .dmrc with restrictive permissions if it doesn't exist.
  * Now that gksu works for me, use it to start gdmsetup (closes: #189615)
  * Update debconf templates to xdm 4.3.0.dfsg.1-1.
  * Add Turkish debconf template (closes: #248328)
  * Add note about debconf templates to README.Debian (closes: #200121)
  * Add some whitespace to the gdmlogin logo (closes: #201303)
  * Build with SELinux support.

 -- Ryan Murray <rmurray@debian.org>  Sat, 15 May 2004 16:13:30 -0700

gdm (2.4.4.7-1) unstable; urgency=low

  * New upstream release (closes: #190390, #220492)
  * Don't run update-rc.d if the init script isn't executable (closes: #213188)
  * Use default gnome-session purge-delay (closes: #221448)
  * Add gdmflexiserver(1) manpage (closes: #149396)
  * Recommend whiptail | dialog, as the shell script works without
    them.  (closes: #228295)
  * Add menu entries (closes: #149388)
  * gdmsetup now has options for control of -nolisten tcp (closes: #155479)
  * gdm no longer reads the Sessions directory to populate the menu
    (closes: #218786)
  * Ensure char is unsigned in fd_getc, use the utf8 string in the standard
    greeter (closes: #217496)
  * Don't reparse xmodmap/xkb in session script (closes: #191598)
  * The GDM manual is back, and covers this.  As well, it's totally different
    in this version (closes: #229824)
  * Use /etc/X11/Xsession.d/* for the tail end of session setup
    (closes: #191711, #192252, #212120, #219040)
  * Happygnome and Circles theme sizes increased upstream (closes: #219353)
  * With the new Xsession.in that uses the Xsession.d dir to start up, and the
    /usr/share/xsessions dir supported by kdm and gdm for programs to indicate they
    should be on the session list, all that's needed is those programs to supply
    desktop files for /usr/share/xsessions (closes: #84396)
  * Don't always specify the charset when setting locales (closes: #213496)
  * Don't ship the gnome.desktop session file; gnome-session will.
  * Add |'d dependency on possible session programs, so at least one will
    be installed.

 -- Ryan Murray <rmurray@debian.org>  Mon, 29 Mar 2004 01:34:16 -0800

gdm (2.4.1.7-1) unstable; urgency=low

  * New upstream security release (closes: #217077, #217080)
  * Fix accidental patch to ve-misc.c (closes: #215839)
  * Add config updating support for SecureSysMenu (closes: #215875, #214724)

 -- Ryan Murray <rmurray@debian.org>  Thu, 23 Oct 2003 02:18:49 -0700

gdm (2.4.1.6-2) unstable; urgency=low

  * Update pam setup for lowest common denominator "common" (closes: #207366)
  * Update MinimalUID setting (closes: #209388)
  * Add SecureSystemMenu support to the xml greeter (closes: #212752)

 -- Ryan Murray <rmurray@debian.org>  Mon, 13 Oct 2003 13:25:12 -0700

gdm (2.4.1.6-1) unstable; urgency=low

  * New upstream release (closes: #129194, #197321, #194613)
  * Update and include extract-locales, which is used to generate gdm's
    locale.conf  Updated to move positioning of @ suffixes. (closes: #204932)
  * Remove fallback to nobody/nobody from gdm.c If the system user and group
    don't exist, the rest of the package will fail anyhow (closes: #194611)
  * Add PAM_AUTHINFO_UNAVAIL to incorrect password error handler
    (closes: #157792)
  * Support use-ssh-agent in the Gnome session (closes: #196659)
  * Remove links to non-existent documentation (closes: #198453, #193382)
  * Update face browser comments in README.Debian (closes: #151373)
  * Add SecureSystemMenu option to gdm and gdmconfig.  This requires the root
    password to be entered to use any option in the system menu.
  * Enable SystemMenu and SecureSystemMenu by default (closes: #80800, #196140)

 -- Ryan Murray <rmurray@debian.org>  Mon, 25 Aug 2003 03:14:45 -0700

gdm (2.4.1.3-2) unstable; urgency=low

  * Comment out the half patch in gdmconfig until the other half can be
    located (closes: #191330)

 -- Ryan Murray <rmurray@cyberhqz.com>  Thu,  1 May 2003 18:09:15 -0700

gdm (2.4.1.3-1) unstable; urgency=low

  * New upstream release (closes: #147637)
    + gdm no longer blocks SIGCHLD (closes: #141184)
    + updated desktop files (closes: #175405)
    + clean rule less aggressive (closes: #108732)
    + gdm doesn't open any tty that already has a getty running on it
      (closes: #60890)
    + gdmconfig now works (closes: #145895, #189238)
    + gdm deals gracefully with missing sessions (closes: #169645)
    + gdm's error messages are clearer (closes: #114933)
    + username fields are limited (closes: #162353)
    + LANG isn't changed if the menu isn't used (closes: #151628)
  * Update debconf template translations from current xdm package
    (closes: #174708, #142539)
  * Create system group rather than user group (closes: #167322)
  * Use a locale configuration file based on all glibc supported locales
    (closes: #117652, #121889, #136695)
  * Set $PWD to $HOME, which makes shells happier when $HOME is a
    symlink (closes: #179814)
  * Remove conflicts from potato (closes: #186436)
  * remove scrollkeeper handling as it is no longer needed
    (closes: #164103)
  * no longer use login shell to start session script, as having *dm logins
    be a login shell suprises users, as no other *dm does so (closes: #155335)
  * add a conflict with gdm2
  * Change section to gnome

 -- Ryan Murray <rmurray@debian.org>  Mon, 28 Apr 2003 11:47:58 -0700

gdm (2.2.5.5-2) unstable; urgency=medium

  * Set datadir instead of docdir (closes: #140367)
  * use gnome-db2html, again.  gdm docs now use real docbook, so add
    build-depends on docbook-utils (closes: #140839)
  * Update french translation (closes: #140389)

 -- Ryan Murray <rmurray@debian.org>  Thu,  4 Apr 2002 01:13:31 -0800

gdm (2.2.5.5-1) unstable; urgency=low

  * New upstream release (closes: #138984)
  * Documentation is installed (closes: #112579)
  * Add symlink to "advanced" gdm documentation (closes: #123241)
  * Change UID sooner, to work with filesystems that don't give root
    full permissions (closes: #129383, #137782)
  * Update debconf translations (closes: #136925, #137938, #139732, #132614)
    (closes: #136394)
  * Use updated logo (closes: #122101)
  * Fix quoting and set DEFAULT_DISPLAY_MANAGER_FILE in prerm (closes: #131907)
    (closes: #137261)
  * Remove user, group, and more config directories on purge (closes: #136247)

 -- Ryan Murray <rmurray@debian.org>  Mon, 25 Mar 2002 23:41:05 -0800

gdm (2.2.5.4-2) unstable; urgency=low

  * Fix gdm-autologin.pam to not use RH-specific pam modules (closes: #130378)

 -- Ryan Murray <rmurray@debian.org>  Sun, 27 Jan 2002 11:16:24 -0800

gdm (2.2.5.4-1) unstable; urgency=low

  * New upstream release (closes: #128364)
  * Ship a gdm-autologin pam file (closes: #128656)
  * Don't delete gdm.upgrade too soon (closes: #127392)
  * Update README.Debian for xscreensaver use (closes: #128387)
  * Update French translation (closes: #130137)

 -- Ryan Murray <rmurray@debian.org>  Sun, 20 Jan 2002 23:36:06 -0800

gdm (2.2.5.3-2) unstable; urgency=low

  * Don't muck about with egid after setgid() (closes: #126936)
  * Update Russian, Japanese, and Korean hardcoded LANG values (closes: #127052)

 -- Ryan Murray <rmurray@debian.org>  Mon, 31 Dec 2001 00:45:44 -0800

gdm (2.2.5.3-1) unstable; urgency=low

  * New upstream release (closes: #113373, #119717)
  * Update prerm script (closes: #125807, #115776)

 -- Ryan Murray <rmurray@debian.org>  Fri, 28 Dec 2001 11:10:09 -0800

gdm (2.2.5.2-2) unstable; urgency=low

  * Fix $RET typo in postinst
  * Add missing daemon_name template

 -- Ryan Murray <rmurray@debian.org>  Thu, 13 Dec 2001 23:44:08 -0800

gdm (2.2.5.2-1) unstable; urgency=low

  * New upstream release (closes: #111738, #117744)
  * Fix typo in postinst (closes: #117127)
  * Fix removal of /etc/gdm directory in postrm
  * gdm no longer starts from the postinst, ever (closes: #93236)
  * Lower --retry timeout on gdm stop (closes: #122202)
  * Only do the password stuff if the gdm user doesn't exist (closes: #119385)
  * add pam_limits to the installed pam file (closes: #118335)
  * Correct debconf for selection of display managers (closes: #115776)
  * Add -xkb option to Xnest startup (closes: #111783)

 -- Ryan Murray <rmurray@debian.org>  Sun,  9 Dec 2001 16:56:32 -0800

gdm (2.2.4.3-1) unstable; urgency=low

  * New upstream release (closes: #113822, #115543)
  * Fix typo in config file (closes: #111941)
  * Added de, pt_BR templates (closes: #112357, #116428)
  * Fix default gnome session (closes: #111967)

 -- Ryan Murray <rmurray@debian.org>  Sun, 21 Oct 2001 18:56:33 -0700

gdm (2.2.4.1-1) unstable; urgency=low

  * New upstream release (closes: #108715)
	  * AllowRoot works (closes: #108192)
	  * background and themes work (closes: #105713)
  * Depend on dpkg >= 1.9 for retry option to start-stop-daemon
  * All other known display managers can be installed alongside gdm, so
    removing the conflicts.  This still doesn't solve the getty/dm problem,
    however. (closes: #50707)
  * Implement Pax Displayicus Managerius. (closes: #108712)
  * Clobber variables a little less (closes: #104577)
  * If you want verboseauth, change the config file (closes: #110779)
  * Attempt to stop gdm on package removal (closes: #110503)
  * Remove auth cookies, logs, and config on purge (closes: #110502)

 -- Ryan Murray <rmurray@debian.org>  Fri,  7 Sep 2001 00:32:41 -0700

gdm (2.2.3.1-2) unstable; urgency=low

  * Update config.{guess,sub} and file the bug upstream (closes: #105061)
  * Add conflicts to current and older versions of zh-trans

 -- Ryan Murray <rmurray@debian.org>  Sat, 14 Jul 2001 00:05:09 -0700

gdm (2.2.3.1-1) unstable; urgency=low

  * New upstream release. (closes: #81408, #81099, #82183, #81732, #86980)
    (closes: #88518, #93516, #93055, #82576, #85941, #94117, #50269)
    (closes: #101867, #82264, #97586, #100587, #102194, #102691, #103931)
    (closes: #79832)
  * As the subject says, this isn't a bug (closes: #83007)
  * Change default logo to Debian logo (closes: #71906)
  * Priorities have been sorted by ftpmaster (closes: #64965)
  * Moved from dbs; most of the patches are included now. (closes: #92020)
  * Start X server without tcp listening by default (closes: #92909, #94293)
  * change sessreg to -u none (closes: #90981)
  * Bring back traditional Xsession session (closes: #87617)
  * Don't ship an /etc/gdm/Sessions/Default (closes: #79300)
  * Add fetchmail to ignored users (closes: #101240)
  * Safe restart gets as close to this as possible.  gdm will restart when
    all sessions log out when given SIGUSR1.  Make it the reload default.
    (closes: #93077)

 -- Ryan Murray <rmurray@debian.org>  Sun,  8 Jul 2001 19:51:26 -0700

gdm (2.0-0.beta4.15) unstable; urgency=low

  * Added xutils dependancy (closes: #76148)
  * Added patch to remove locale menu, allowing dependancy on locales to
    be lowered to suggests (closes: #80408)
  * Apparently X has some issues with all the clients being killed in a row,
    and doesn't decide to exit.  XDM kills the server instead of the "nice"
    method, so now we do that, too. (closes: #77163)
  * Remove non-sensical code that broke %d (closes: #75094)
  * Add documentation on the face browser (closes: #75091)
  * It seems updating the cookies already happens, so now the hostname is
    reread each time the cookies regenerate (closes: #55712)
  * Remove inappropriate Xsession session.
  * Fix a syslog() format.

 -- Ryan Murray <rmurray@debian.org>  Sun, 24 Dec 2000 21:43:55 -0800

gdm (2.0-0.beta4.14) unstable; urgency=low

  * Fix file descriptor leak in Xserver logfile.

 -- Ryan Murray <rmurray@debian.org>  Fri,  8 Sep 2000 23:53:49 -0700

gdm (2.0-0.beta4.13) unstable; urgency=low

  * Add -deferglyphs 16 to starting of the X server

 -- Ryan Murray <rmurray@debian.org>  Mon, 21 Aug 2000 22:30:07 -0700

gdm (2.0-0.beta4.12) unstable; urgency=low

  * Remove \n at the end of LANG. (closes: #68331)
  * Apply uid switch patch (closes: #67364)

 -- Ryan Murray <rmurray@debian.org>  Fri, 11 Aug 2000 04:16:40 -0700

gdm (2.0-0.beta4.11) unstable; urgency=low

  * Allow up to 128 character passwords (Closes: #66727)
  * Wait until gdm has exited before restarting (Closes: #65446)

 -- Ryan Murray <rmurray@debian.org>  Sun, 16 Jul 2000 13:23:12 -0700

gdm (2.0-0.beta4.10) unstable; urgency=low

  * Update maintainer's e-mail address
  * Force focus to be on the login window when on the root window and
    added accelerators for all menus via Alt+letter, including an extra
    accelerator for ESC to bring down the first menu.  (Closes: #61141, #62837)
  * Added README.Debian pointing out the manual (Closes: #61609)
  * Increased delay before restart (didn't close: #65446)
  * Force English to always be in the language list (Closes: #65538)

 -- Ryan Murray <rmurray@debian.org>  Sun, 18 Jun 2000 18:01:46 -0700

gdm (2.0-0.beta4.9) unstable frozen; urgency=high

  * Fix several security related bugs, including one grave bug
    (closes: #63255, #61968)
  * Fix for /etc/environment being read twice (closes: #59042)
  * Fix for LANG not being set correctly, based on a patch used by
    redhat (closes: #59044)
  * Added translations for new locales from CVS.
  * Removed checking for pidfile in gdm code, as start-stop-daemon does
    a better job, for Debian.
  * Added --name to start-stop-daemon line (closes: #59176)
  * Set default locale in LANG before starting gdmlogin.  This makes
    GDM's text localized to the setting of DefaultLocale in gdm.conf
    (closes: #57806)
  * Changed build system to dbs, from patch system used by egcs at some
    point.
  * Fix reference of gdmgreeter in gdmlogin manpage (closes: #63680)
  * Fix for buffer overflow in xdmcp.c (closes: #63876)

 -- Ryan Murray <rmurray@cyberhqz.com>  Wed, 10 May 2000 02:24:59 -0700

gdm (2.0-0.beta4.8) unstable frozen; urgency=medium

  * Fix for grave password visible bug. (closes: #55886)
  * Fix for font directive being ignored when gtkrc used (closes: #51374)
  * Change build process to be more friendly when upstream isn't a CVS version
  * Added missing build dependancies (closes: #56046)
  * Moved logfiles to /var/log/gdm (closes: #56018)
  * Don't start gdm if we're in X on the display it manages, or if it's
    running (closes: #53992)

 -- Ryan Murray <rmurray@cyberhqz.com>  Sun, 30 Jan 2000 23:16:24 -0800

gdm (2.0-0.beta4.7) unstable frozen; urgency=medium

  * Modified gdm.conf to start up as :0 on vt7, and added conflicts for other
    display managers.  Release Critical bug fix.  (closes: #53988, #54234)
  * added dependancy on libpam-modules (closes: #54452)
  * removed --exec from start-stop-daemon to workaround bug #51953 in dpkg.
    (closes: #53064)
  * Added comment for SystemMenu to gdm.conf (closes: #53996)
  * Made path closer to default login path
  * Updated Exclude field in gdm.conf
  * Added text strings describing shutdown/halt
  * increase purge delay to 15 seconds (closes: #53998)

 -- Ryan Murray <rmurray@cyberhqz.com>  Tue, 18 Jan 2000 00:37:37 -0800

gdm (2.0-0.beta4.6) unstable; urgency=low

  * New maintainer.
  * Disable XDMCP by default (safer default)
  * Modified gdm.conf to start up as :1 on vt8 as a default
  * Updated to Standards-Version 3.1.1
  * Moved to FHS 2.1 draft (/var/state -> /var/lib)
  * Applied patch to solve (null) locale/session (Closes: #51846, #52321)
  * Added pam_env.so to /etc/pam.d/gdm (Closes: #52408)
  * Applied retry limit patch (Closes: #51103, #53065)
  * Recompiled with new libesd-dev (Closes: #52245)
  * Compiled with libwrap0
  * export MAIL environment variable in Gnome session script (Closes: #53601)

 -- Ryan Murray <rmurray@cyberhqz.com>  Wed, 29 Dec 1999 23:50:43 -0800

gdm (2.0-0.beta4.5) unstable; urgency=low

  * Added a suggests: xsm and corrected /etc/gdm/Sessions/Xsession
    in order to work even if xsm is not available. Closes: #49632
  * Enable XDMCP by default. Closes: #49104
  * Updated the copyright file.
  * Cleaned the .diff.gz and the rules file.
  * Corrected the man pages.

 -- Raphael Hertzog <hertzog@debian.org>  Tue,  9 Nov 1999 23:38:24 +0100

gdm (2.0-0.beta4.4) unstable; urgency=low

  * Removed the explicit setting of the virtual terminal. It was
    causing problem to people who have getty running on vt8 ...
  * Corrected /etc/gdm/Sessions/Gnome to work with OpenSSH.
    Closes: #49443

 -- Raphael Hertzog <hertzog@debian.org>  Thu,  4 Nov 1999 19:53:01 +0100

gdm (2.0-0.beta4.3) unstable; urgency=low

  * Session/Gnome: doesn't set the PATH since gdm does already take
    care of this. Closes: #48310
  * Session/Xsession: calls freetemp only if it's available.
    Closes: #47916
  * Put a symlink /etc/X11/gdm -> ../gdm. Closes: #46898
  * Now use /etc/locale.alias instead of its own file.
    Closes: #47915

 -- Raphael Hertzog <hertzog@debian.org>  Wed, 27 Oct 1999 14:33:49 +0200

gdm (2.0-0.beta4.2) unstable; urgency=low

  * Changed gdm.conf to explicitely give the virtual console
    to use. Default to "vt8 :1" in order to avoid problems.
    I hope that it closes: #47425, #47451

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 16 Oct 1999 18:37:17 +0200

gdm (2.0-0.beta4.1) unstable; urgency=low

  * New maintainer.
  * Until a proper solution is found, gdm will conflict with xdm, kdm and
    wdm. Closes: #46378
  * Corrected the priority number for init.d scripts K99 -> K01.
    Closes: #46379
  * Recommends gnome-session ...
  * Bug closed by previous NMU :
    closes: #33471, #35672, #36284, #37780, #38034, #38343, #39433, #39703
    closes: #40293, #40308, #41157, #42440, #42493, #42636, #43095, #43667
    closes: #45719, #45916

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 12 Oct 1999 22:26:43 +0200

gdm (2.0-0.beta4) unstable; urgency=low

  * NMU
  * New upstream version.
  * Be more careful for creating user/group. Closes: #45916

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 30 Sep 1999 20:54:45 +0200

gdm (2.0-0.beta3) unstable; urgency=low

  * NMU.
  * New upstream version of gdm (still beta but it does work contrary to
    gdm1). Closes: #45719
  * Does show all users (list of exclusion does exist in gdm.conf)
    Closes: #42440, #42493
  * The X connection problem is solved with this version.
    Closes: #42636, #43667, #43095
  * The macros stuff has moved in /usr/share/aclocal/gnome.
    Closes: #40293
  * gdm is very kind with xserver badly configured. Closes: #35672
  * gdm cleans (not too much however) the environment. MAIL is removed.
    Closes: #33471
  * gdm does restart well. Closes: #38034
  * You can select your language/sessions. Closes: #38343
  * Gdm and xscreensaver do work correctly together. Closes: #39703
  * Gdmgreeter does start. Closes: #40308
  * Gdm does use :1 by default. Closes: #36284, #37780, #41157
  * Gdm does now include /usr/games in the PATH. Closes: #39433

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Tue, 21 Sep 1999 20:25:01 +0200

gdm2 (0+cvs19990428-1) experimental; urgency=low

  * Experimental build of gdm2

 -- Steve Haslam <araqnid@debian.org>  Mon, 17 May 1999 13:09:22 +0100

gdm (1.0.0-6) unstable; urgency=low

  * Don't automatically restart gdm
  * Change init.d restart behaviour, no longer set -e.
  * Made substantial changes to /etc/gdm/Sessions/Gnome; removed /etc/gnomerc
    as a result

 -- Steve Haslam <araqnid@debian.org>  Wed,  5 May 1999 23:39:08 +0100

gdm (1.0.0-5) unstable; urgency=low

  * Replaced the PAM config again.
  * Remove po/*.gmo files when cleaning because changes to them can't be
    represented in .diff.gz files

 -- Steve Haslam <araqnid@debian.org>  Wed, 21 Apr 1999 17:19:16 +0100

gdm (1.0.0-4) unstable; urgency=low

  * Major rewrite of packaging files- now using .dpatch files to hold changes
  * Added -lnsl to LIBS when using -lwrap (from cpbs@debian.org)

 -- Steve Haslam <araqnid@debian.org>  Tue, 20 Apr 1999 02:48:32 +0100

gdm (1.0.0-3) unstable; urgency=low

  * Make /etc/gdm/Init/:0 a conffile too

 -- Steve Haslam <araqnid@debian.org>  Sat, 27 Mar 1999 14:08:55 +0000

gdm (1.0.0-2) unstable; urgency=low

  * Use "update-rc.d gdm defaults 99"
  * Don't strip x mode from /etc/gnomerc

 -- Steve Haslam <araqnid@debian.org>  Mon, 22 Mar 1999 19:55:48 +0000

gdm (1.0.0-1) unstable; urgency=low

  * Initial version.

 -- Steve Haslam <araqnid@debian.org>  Thu, 18 Mar 1999 21:27:20 +0000
